#include "Types.r"

#include "WWT.h"


/* we use an MBAR resource to conveniently load all the menus */

resource 'MBAR' (rMenuBar, preload) {
	{ mApple, mFile, mEdit };	/* four menus */
};


resource 'MENU' (mApple, preload) {
	mApple, textMenuProc,
	AllItems & ~MenuItem2,	/* Disable dashed line, enable About and DAs */
	enabled, apple,
	{
		"About What Was That?",noicon, nokey, nomark, plain;
		"-",noicon, nokey, nomark, plain
	}
};

resource 'MENU' (mFile, preload) {
	mFile, textMenuProc,
	MenuItem12,				/* enable Quit only, program enables others */
	enabled, "File",
	{
		"New",		noicon, "N", nomark, plain;
		"Open",		noicon, "O", nomark, plain;
		"-", 		noicon, nokey, nomark, plain;
		"Close", 	noicon, "W", nomark, plain;
		"Save",		noicon, "S", nomark, plain;
		"Save As",	noicon, nokey, nomark, plain;
		"Revert",	noicon, nokey, nomark, plain;
		"-",		noicon, nokey, nomark, plain;
		"Page Setup",noicon, nokey, nomark, plain;
		"Print",	noicon, nokey, nomark, plain;
		"-",		noicon, nokey, nomark, plain;
		"Quit",		noicon, "Q", nomark, plain
	}
};

resource 'MENU' (mEdit, preload) {
	mEdit, textMenuProc,
	NoItems,				/* disable everything, program does the enabling */
	enabled, "Edit",
	 {
		"Undo",noicon, "Z", nomark, plain;
		"-",noicon, nokey, nomark, plain;
		"Cut",noicon, "X", nomark, plain;
		"Copy",noicon, "C", nomark, plain;
		"Paste",noicon, "V", nomark, plain;
		"Clear",noicon, nokey, nomark, plain
	}
};


/* About Box */
resource 'ALRT' (128, purgeable) {
	{40, 20, 160, 290},
	128,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

/* Error alert */
resource 'ALRT' (129, purgeable) {
	{40, 20, 166, 282},
	129,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};


resource 'DITL' (128, purgeable) {
	{	/* array DITLarray: 5 elements */
		/* [1] */
		{91, 174, 111, 254},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{17, 7, 33, 213},
		StaticText {
			disabled,
			"OK, OK, OK, what was that?"
		},
		/* [3] */
		{0, 192, 14, 271},
		StaticText {
			disabled,
			"Freeware"
		},
		/* [4] */
		{36, 7, 52, 135},
		StaticText {
			disabled,
			"Brought to you by:"
		},
		/* [5] */
		{55, 23, 89, 262},
		StaticText {
			disabled,
			"Corrent, Pareia, Boydzik & Kled Programm"
			"ers at play"
		}
	}
};

resource 'DITL' (129, purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{99, 169, 119, 249},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{15, 60, 83, 230},
		StaticText {
			disabled,
			"The programmers made a mistake, and woul"
			"d like to take this opportunity to apolo"
			"gize."
		},
		/* [3] */
		{8, 8, 40, 40},
		Icon {
			disabled,
			2
		}
	}
};



/* here is the quintessential MultiFinder friendliness device, the SIZE resource */

resource 'SIZE' (-1) {
	dontSaveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,				/* we can background; we don't currently, but our sleep value */
								/* guarantees we don't hog the Mac while we are in the background */
	multiFinderAware,			/* this says we do our own activate/deactivate; don't fake us out */
	backgroundAndForeground,	/* this is definitely not a background-only application! */
	dontGetFrontClicks,			/* change this is if you want "do first click" behavior like the Finder */
	ignoreChildDiedEvents,		/* essentially, I'm not a debugger (sub-launching) */
	not32BitCompatible,			/* this app should not be run in 32-bit address space */
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	kPrefSize * 1024,
	kMinSize * 1024	
};

/* derez 'What was that?' -only BNDL Types.r */
