module system;

	wire	 [31: 0]a;
	wire	 [31: 0]d;
	wire	 		start;
	wire	 		ack;
	wire	 		rw;
	wire	 		near;
	reg		 		reset;
	reg		 		clock;
	
	wire	 [ 9: 0]ma;
	wire	 		w;
	wire	 		mras;
	wire	 		vras;
	wire	 		cas;
	
	
	cpu1	cpu(.reset(reset),.clock(clock),.a(a),.d(d),.start(start),.rw(rw),.ack(ack),.near(near));
	
	cntrl	cnt(.reset(reset),.clock(clock),.a(a),.start(start),.rw(rw),.ack(ack), .near(near), .vras(vras), .mras(mras), .cas(cas), .ma(ma),.w(w));
	
	memory	m(.d(d),.mras(mras), .cas(cas), .ma(ma),.w(w));
	
	video	vid(.d(d),.vras(vras), .cas(cas), .ma(ma),.w(w));
		
	always 
		#5 clock = ~clock;
	
	initial 
		$gr_waves("reset",reset,
				  "clock",clock,
				  "a",a,
				  "d",d,
				  "start",start,
				  "ack",ack,
				  "rw",rw,
				  "mras",mras,
				  "vras",vras,
				  "cas",cas,
				  "ma",ma,
				  "w",w
							);
	
	initial begin
		reset = 0;
		clock = 0;
		#100;
		reset = 1;
	end

endmodule