/* @(#) SavvyInit.r 6/22/92
	{Sources}Hack:SavvyInit.r

	No rights reserved
	
	Product:		Joels MacHack 92 entry
	File:			SavvyInit.r
	Author:			Joel West, Palomar Software
	Date:			Wed, Jun 17, 1992
	Description:	Resources for INIT, and Finder resources
	
	Note:	It would be a lot easier to have color icons for your hacks if
			Apple made a color PowerBook
*/

#include "Savvy.h"
#include "Types.r"
#include "SysTypes.r"
#include "BalloonTypes.r"

#define kCreator	'JWWe'

/******************************Finder Bundle*********************************/
resource 'BNDL' (128) {
	kCreator,	0,
	{	'ICN#',	{	0, kICNN_DoSavvy },		/* Share icon between Finder and ShowINIT */
		'FREF',	{	0, 128 }
	}
};

type kCreator as 'STR ';
resource kCreator (0) {
	$$DATE
};
resource 'vers' (1) {
	0x1,
	0x0,
	release,
	0x0,
	verUS,
	"0.9",			/* isnt really done since it doesnt update very well */
	"0.9, by Joel West, Palomar Software for MacHack 92"
};

resource 'FREF' (128) {
	'INIT',
	0,
	""
};


#define qShowCribSheet
/* The following resource is used to provide Finder balloon help for this INIT */
resource 'hfdr' (kHMHelpID, purgeable) {
	2, 0, 0, 0,
	{
		HMStringItem {
			"Savvy\n\n"
#ifndef qShowCribSheet
			"This System extension enhances the Finders Get Info window to "
			"display the System 7 savvy-ness of an application. "
			"To risk using this hack on your Macintosh, "
			"place it in the Extensions folder and then restart your computer."
#else   qShowCribSheet
			"This extension hacks the Finder Get Info window to "
			"show how System 7 savvy an application is."
			"\n\n"
			"Get Info legend:\n"
			"32: 32-bit clean\n"
			"24: 24-bit only\n"
			"H: high-level event aware\n"
			"R: accepts remote events\n"
			"S: stationery aware\n"
			"T: uses TextEdit services"
#endif  qShowCribSheet
		}
	}
};
/******************************INITs********************************/
/* Use
		heap size totals (compile with #define qCheckHeapUsage); and
		the 'INIT' size total (RezDet -l Savvy | search -s INIT)
	to decide how much System Heap room should be allocated at startup
	for your INIT */
type 'sysz' {
	longint;
};
resource 'sysz' (0) {
#ifdef qUseIconSuite
	3300 /* INIT size */ + 5700 /* memory allocated by INIT */;
#else qUseIconSuite
	3000 /* INIT size */ + 1000 /* memory allocated by INIT */;
#endif qUseIconSuite
};

/******************************Strings********************************/
resource 'STR ' (kSTR_Finder, SysHeap) {
	"Finder";
};
	/* This corresponds to 'STR ' (3091) in the Finder, "^0 Info" */
resource 'STR ' (kSTR_GetInfoSubstr, SysHeap) {
	" Info";
};

/******************************Finder, Startup Icon********************************/
/* These icons are used as the startup icon (when enabled), and also
	for the Finder bundle */
data 'ICN#' (kICNN_DoSavvy) {
	$"000F F000 007F FE00 01FF FF80 03FF FFC0"
	$"07FF FFE0 0FF8 1FF0 1FC0 03F8 3F83 F1FC"
	$"3F0C 1CFC 7E18 0E7E 7C38 0E3E 7C38 0E3E"
	$"FC38 0E3F F800 1C1F F800 3C1F F800 781F"
	$"F800 E01F F801 001F F803 001F FC02 003F"
	$"7C02 003E 7C00 003E 7E0E 007E 3F0E 00FC"
	$"3F8C 01FC 1FC0 03F8 0FF8 1FF0 07FF FFE0"
	$"03FF FFC0 01FF FF80 007F FE00 000F F000"
	$"000F F000 007F FE00 01FF FF80 03FF FFC0"
	$"07FF FFE0 0FFF FFF0 1FFF FFF8 3FFF FFFC"
	$"3FFF FFFC 7FFF FFFE 7FFF FFFE 7FFF FFFE"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"7FFF FFFE 7FFF FFFE 7FFF FFFE 3FFF FFFC"
	$"3FFF FFFC 1FFF FFF8 0FFF FFF0 07FF FFE0"
	$"03FF FFC0 01FF FF80 007F FE00 000F F000"
};

data 'ics#' (kICNN_DoSavvy) {
	$"0FF0 1FF8 3FFC 79DE F26F E627 E667 E0C7"
	$"E187 E107 E007 F20F 781E 3FFC 1FF8 0FF0"
	$"0FF0 1FF8 3FFC 7FFE FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF 7FFE 3FFC 1FF8 0FF0"
};

data 'icl8' (kICNN_DoSavvy) {
	$"0000 0000 0000 0000 0000 0000 9FC0 9FC0"
	$"9FC0 9FC0 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 009F C09F C09F C09F"
	$"C09F C09F C09F C000 0000 0000 0000 0000"
	$"0000 0000 0000 00C0 9FC0 9FC0 9FC0 9FC0"
	$"9FC0 9FC0 9FC0 9FC0 9F00 0000 0000 0000"
	$"0000 0000 0000 C09F C09F C09F C09F C09F"
	$"C09F C09F C09F C09F C09F 0000 0000 0000"
	$"0000 0000 00C0 9FC0 9FC0 9FC0 9FC0 9FC0"
	$"9FC0 9FC0 9FC0 9FC0 9FC0 9F00 0000 0000"
	$"0000 0000 C09F C09F C09F C09F C005 0505"
	$"0505 059F C09F C09F C09F C09F 0000 0000"
	$"0000 00C0 9FC0 9FC0 9FC0 0505 0505 0505"
	$"0505 0505 0505 9FC0 9FC0 9FC0 9F00 0000"
	$"0000 C09F C09F C09F C005 0505 0505 FFFF"
	$"FFFF FFFF 0505 059F C09F C09F C09F 0000"
	$"0000 9FC0 9FC0 9FC0 0505 0505 FFFF 0505"
	$"0505 05FF FFFF 0505 9FC0 9FC0 9FC0 0000"
	$"009F C09F C09F C005 0505 05FF FF05 0505"
	$"0505 0505 FFFF FF05 059F C09F C09F C000"
	$"00C0 9FC0 9FC0 0505 0505 FFFF FF05 0505"
	$"0505 0505 FFFF FF05 0505 9FC0 9FC0 9F00"
	$"009F C09F C09F 0505 0505 FFFF FF05 0505"
	$"0505 0505 FFFF FF05 0505 C09F C09F C000"
	$"9FC0 9FC0 9FC0 0505 0505 FFFF FF05 0505"
	$"0505 0505 FFFF FF05 0505 9FC0 9FC0 9FC0"
	$"C09F C09F C005 0505 0505 0505 0505 0505"
	$"0505 05FF FFFF 0505 0505 059F C09F C09F"
	$"9FC0 9FC0 9F05 0505 0505 0505 0505 0505"
	$"0505 FFFF FFFF 0505 0505 05C0 9FC0 9FC0"
	$"C09F C09F C005 0505 0505 0505 0505 0505"
	$"05FF FFFF FF05 0505 0505 059F C09F C09F"
	$"9FC0 9FC0 9F05 0505 0505 0505 0505 0505"
	$"FFFF FF05 0505 0505 0505 05C0 9FC0 9FC0"
	$"C09F C09F C005 0505 0505 0505 0505 05FF"
	$"0505 0505 0505 0505 0505 059F C09F C09F"
	$"9FC0 9FC0 9F05 0505 0505 0505 0505 FFFF"
	$"0505 0505 0505 0505 0505 05C0 9FC0 9FC0"
	$"C09F C09F C09F 0505 0505 0505 0505 FF05"
	$"0505 0505 0505 0505 0505 C09F C09F C09F"
	$"00C0 9FC0 9FC0 0505 0505 0505 0505 FF05"
	$"0505 0505 0505 0505 0505 9FC0 9FC0 9F00"
	$"009F C09F C09F 0505 0505 0505 0505 0505"
	$"0505 0505 0505 0505 0505 C09F C09F C000"
	$"00C0 9FC0 9FC0 9F05 0505 0505 FFFF FF05"
	$"0505 0505 0505 0505 05C0 9FC0 9FC0 9F00"
	$"0000 C09F C09F C09F 0505 0505 FFFF FF05"
	$"0505 0505 0505 0505 C09F C09F C09F 0000"
	$"0000 9FC0 9FC0 9FC0 9F05 0505 FFFF 0505"
	$"0505 0505 0505 05C0 9FC0 9FC0 9FC0 0000"
	$"0000 009F C09F C09F C09F 0505 0505 0505"
	$"0505 0505 0505 C09F C09F C09F C000 0000"
	$"0000 0000 9FC0 9FC0 9FC0 9FC0 9F05 0505"
	$"0505 05C0 9FC0 9FC0 9FC0 9FC0 0000 0000"
	$"0000 0000 009F C09F C09F C09F C09F C09F"
	$"C09F C09F C09F C09F C09F C000 0000 0000"
	$"0000 0000 0000 9FC0 9FC0 9FC0 9FC0 9FC0"
	$"9FC0 9FC0 9FC0 9FC0 9FC0 0000 0000 0000"
	$"0000 0000 0000 009F C09F C09F C09F C09F"
	$"C09F C09F C09F C09F C000 0000 0000 0000"
	$"0000 0000 0000 0000 00C0 9FC0 9FC0 9FC0"
	$"9FC0 9FC0 9FC0 9F00 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 C09F C09F"
	$"C09F C09F 0000 0000 0000 0000 0000 0000"
};

data 'ics8' (kICNN_DoSavvy) {
	$"0000 0000 C09F C09F C09F C09F 0000 0000"
	$"0000 00C0 9FC0 9FC0 9FC0 9FC0 9F00 0000"
	$"0000 C09F C09F C09F C09F C09F C09F 0000"
	$"00C0 9FC0 9F05 05FF FFFF 05C0 9FC0 9F00"
	$"C09F C09F 0505 FF05 05FF FF05 C09F C09F"
	$"9FC0 9F05 05FF FF05 0505 FF05 05C0 9FC0"
	$"C09F C005 05FF FF05 05FF FF05 059F C09F"
	$"9FC0 9F05 0505 0505 FFFF 0505 05C0 9FC0"
	$"C09F C005 0505 05FF FF05 0505 059F C09F"
	$"9FC0 9F05 0505 05FF 0505 0505 05C0 9FC0"
	$"C09F C005 0505 0505 0505 0505 059F C09F"
	$"9FC0 9FC0 0505 FF05 0505 0505 9FC0 9FC0"
	$"009F C09F C005 0505 0505 059F C09F C000"
	$"0000 9FC0 9FC0 9FC0 9FC0 9FC0 9FC0 0000"
	$"0000 009F C09F C09F C09F C09F C000 0000"
	$"0000 0000 9FC0 9FC0 9FC0 9FC0 0000 0000"
};

data 'icl4' (kICNN_DoSavvy) {
	$"0000 0000 0000 D7D7 D7D7 0000 0000 0000"
	$"0000 0000 0D7D 7D7D 7D7D 7D70 0000 0000"
	$"0000 0007 D7D7 D7D7 D7D7 D7D7 D000 0000"
	$"0000 007D 7D7D 7D7D 7D7D 7D7D 7D00 0000"
	$"0000 07D7 D7D7 D7D7 D7D7 D7D7 D7D0 0000"
	$"0000 7D7D 7D7D 7111 111D 7D7D 7D7D 0000"
	$"0007 D7D7 D711 1111 1111 11D7 D7D7 D000"
	$"007D 7D7D 7111 11FF FFFF 111D 7D7D 7D00"
	$"00D7 D7D7 1111 FF11 111F FF11 D7D7 D700"
	$"0D7D 7D71 111F F111 1111 FFF1 1D7D 7D70"
	$"07D7 D711 11FF F111 1111 FFF1 11D7 D7D0"
	$"0D7D 7D11 11FF F111 1111 FFF1 117D 7D70"
	$"D7D7 D711 11FF F111 1111 FFF1 11D7 D7D7"
	$"7D7D 7111 1111 1111 111F FF11 111D 7D7D"
	$"D7D7 D111 1111 1111 11FF FF11 1117 D7D7"
	$"7D7D 7111 1111 1111 1FFF F111 111D 7D7D"
	$"D7D7 D111 1111 1111 FFF1 1111 1117 D7D7"
	$"7D7D 7111 1111 111F 1111 1111 111D 7D7D"
	$"D7D7 D111 1111 11FF 1111 1111 1117 D7D7"
	$"7D7D 7D11 1111 11F1 1111 1111 117D 7D7D"
	$"07D7 D711 1111 11F1 1111 1111 11D7 D7D0"
	$"0D7D 7D11 1111 1111 1111 1111 117D 7D70"
	$"07D7 D7D1 1111 FFF1 1111 1111 17D7 D7D0"
	$"007D 7D7D 1111 FFF1 1111 1111 7D7D 7D00"
	$"00D7 D7D7 D111 FF11 1111 1117 D7D7 D700"
	$"000D 7D7D 7D11 1111 1111 117D 7D7D 7000"
	$"0000 D7D7 D7D7 D111 1117 D7D7 D7D7 0000"
	$"0000 0D7D 7D7D 7D7D 7D7D 7D7D 7D70 0000"
	$"0000 00D7 D7D7 D7D7 D7D7 D7D7 D700 0000"
	$"0000 000D 7D7D 7D7D 7D7D 7D7D 7000 0000"
	$"0000 0000 07D7 D7D7 D7D7 D7D0 0000 0000"
	$"0000 0000 0000 7D7D 7D7D 0000 0000 0000"
};

data 'ics4' (kICNN_DoSavvy) {
	$"0000 7D7D 7D7D 0000 0007 D7D7 D7D7 D000"
	$"007D 7D7D 7D7D 7D00 07D7 D11F FF17 D7D0"
	$"7D7D 11F1 1FF1 7D7D D7D1 1FF1 11F1 17D7"
	$"7D71 1FF1 1FF1 1D7D D7D1 1111 FF11 17D7"
	$"7D71 111F F111 1D7D D7D1 111F 1111 17D7"
	$"7D71 1111 1111 1D7D D7D7 11F1 1111 D7D7"
	$"0D7D 7111 111D 7D70 00D7 D7D7 D7D7 D700"
	$"000D 7D7D 7D7D 7000 0000 D7D7 D7D7 0000"
};


/******************************Startup (Disabled) Icon********************************/
data 'ICN#' (kICNN_Unsavvy) {
	$"C000 0003 E000 0007 7000 000E 3800 001C"
	$"1C00 0038 0E00 0070 0700 00E0 0383 F1C0"
	$"01CC 1F80 00F8 0F00 0078 0E00 0038 1E00"
	$"003C 3E00 000E 7C00 0007 FC00 0003 F800"
	$"0003 E000 0007 E000 000F 7000 001E 3800"
	$"003A 1C00 0070 0E00 00EE 0700 01CE 0380"
	$"038C 01C0 0700 00E0 0E00 0070 1C00 0038"
	$"3800 001C 7000 000E E000 0007 C000 0003"
	$"000F F000 007F FE00 01FF FF80 03FF FFC0"
	$"07FF FFE0 0FFF FFF0 1FFF FFF8 3FFF FFFC"
	$"3FFF FFFC 7FFF FFFE 7FFF FFFE 7FFF FFFE"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"7FFF FFFE 7FFF FFFE 7FFF FFFE 3FFF FFFC"
	$"3FFF FFFC 1FFF FFF8 0FFF FFF0 07FF FFE0"
	$"03FF FFC0 01FF FF80 007F FE00 000F F000"
};
data 'icl8' (kICNN_Unsavvy) {
	$"D8D8 0000 0000 0000 0000 0000 9FC0 9FC0"
	$"9FC0 9FC0 0000 0000 0000 0000 0000 D8D8"
	$"D8D8 D800 0000 0000 009F C09F C09F C09F"
	$"C09F C09F C09F C000 0000 0000 00D8 D8D8"
	$"00D8 D8D8 0000 00C0 9FC0 9FC0 9FC0 9FC0"
	$"9FC0 9FC0 9FC0 9FC0 9F00 0000 D8D8 D800"
	$"0000 D8D8 D800 C09F C09F C09F C09F C09F"
	$"C09F C09F C09F C09F C09F 00D8 D8D8 0000"
	$"0000 00D8 D8D8 9FC0 9FC0 9FC0 9FC0 9FC0"
	$"9FC0 9FC0 9FC0 9FC0 9FC0 D8D8 D800 0000"
	$"0000 0000 D8D8 D89F C09F C09F C005 0505"
	$"0505 059F C09F C09F C0D8 D8D8 0000 0000"
	$"0000 00C0 9FD8 D8D8 9FC0 0505 0505 0505"
	$"0505 0505 0505 9FC0 D8D8 D8C0 9F00 0000"
	$"0000 C09F C09F D8D8 D805 0505 0505 FFFF"
	$"FFFF FFFF 0505 05D8 D8D8 C09F C09F 0000"
	$"0000 9FC0 9FC0 9FD8 D8D8 0505 FFFF 0505"
	$"0505 05FF FFFF D8D8 D8C0 9FC0 9FC0 0000"
	$"009F C09F C09F C005 D8D8 D8FF FF05 0505"
	$"0505 0505 FFD8 D8D8 059F C09F C09F C000"
	$"00C0 9FC0 9FC0 0505 05D8 D8D8 FF05 0505"
	$"0505 0505 D8D8 D805 0505 9FC0 9FC0 9F00"
	$"009F C09F C09F 0505 0505 D8D8 D805 0505"
	$"0505 05D8 D8D8 FF05 0505 C09F C09F C000"
	$"9FC0 9FC0 9FC0 0505 0505 FFD8 D8D8 0505"
	$"0505 D8D8 D8FF FF05 0505 9FC0 9FC0 9FC0"
	$"C09F C09F C005 0505 0505 0505 D8D8 D805"
	$"05D8 D8D8 FFFF 0505 0505 059F C09F C09F"
	$"9FC0 9FC0 9F05 0505 0505 0505 05D8 D8D8"
	$"D8D8 D8FF FFFF 0505 0505 05C0 9FC0 9FC0"
	$"C09F C09F C005 0505 0505 0505 0505 D8D8"
	$"D8D8 FFFF FF05 0505 0505 059F C09F C09F"
	$"9FC0 9FC0 9F05 0505 0505 0505 0505 D8D8"
	$"D8D8 FF05 0505 0505 0505 05C0 9FC0 9FC0"
	$"C09F C09F C005 0505 0505 0505 05D8 D8D8"
	$"D8D8 D805 0505 0505 0505 059F C09F C09F"
	$"9FC0 9FC0 9F05 0505 0505 0505 D8D8 D8FF"
	$"05D8 D8D8 0505 0505 0505 05C0 9FC0 9FC0"
	$"C09F C09F C09F 0505 0505 05D8 D8D8 FF05"
	$"0505 D8D8 D805 0505 0505 C09F C09F C09F"
	$"00C0 9FC0 9FC0 0505 0505 D8D8 D805 FF05"
	$"0505 05D8 D8D8 0505 0505 9FC0 9FC0 9F00"
	$"009F C09F C09F 0505 05D8 D8D8 0505 0505"
	$"0505 0505 D8D8 D805 0505 C09F C09F C000"
	$"00C0 9FC0 9FC0 9F05 D8D8 D805 FFFF FF05"
	$"0505 0505 05D8 D8D8 05C0 9FC0 9FC0 9F00"
	$"0000 C09F C09F C0D8 D8D8 0505 FFFF FF05"
	$"0505 0505 0505 D8D8 D89F C09F C09F 0000"
	$"0000 9FC0 9FC0 D8D8 D805 0505 FFFF 0505"
	$"0505 0505 0505 05D8 D8D8 9FC0 9FC0 0000"
	$"0000 009F C0D8 D8D8 C09F 0505 0505 0505"
	$"0505 0505 0505 C09F D8D8 D89F C000 0000"
	$"0000 0000 D8D8 D8C0 9FC0 9FC0 9F05 0505"
	$"0505 05C0 9FC0 9FC0 9FD8 D8D8 0000 0000"
	$"0000 00D8 D8D8 C09F C09F C09F C09F C09F"
	$"C09F C09F C09F C09F C09F D8D8 D800 0000"
	$"0000 D8D8 D800 9FC0 9FC0 9FC0 9FC0 9FC0"
	$"9FC0 9FC0 9FC0 9FC0 9FC0 00D8 D8D8 0000"
	$"00D8 D8D8 0000 009F C09F C09F C09F C09F"
	$"C09F C09F C09F C09F C000 0000 D8D8 D800"
	$"D8D8 D800 0000 0000 00C0 9FC0 9FC0 9FC0"
	$"9FC0 9FC0 9FC0 9F00 0000 0000 00D8 D8D8"
	$"D8D8 0000 0000 0000 0000 0000 C09F C09F"
	$"C09F C09F 0000 0000 0000 0000 0000 D8D8"
};
data 'icl4' (kICNN_Unsavvy) {
	$"3300 0000 0000 D7D7 D7D7 0000 0000 0033"
	$"3330 0000 0D7D 7D7D 7D7D 7D70 0000 0333"
	$"0333 0007 D7D7 D7D7 D7D7 D7D7 D000 3330"
	$"0033 307D 7D7D 7D7D 7D7D 7D7D 7D03 3300"
	$"0003 33D7 D7D7 D7D7 D7D7 D7D7 D733 3000"
	$"0000 333D 7D7D 7111 111D 7D7D 7333 0000"
	$"0007 D333 D711 1111 1111 11D7 3337 D000"
	$"007D 7D33 3111 11FF FFFF 1113 337D 7D00"
	$"00D7 D7D3 3311 FF11 111F FF33 37D7 D700"
	$"0D7D 7D71 333F F111 1111 F333 1D7D 7D70"
	$"07D7 D711 1333 F111 1111 3331 11D7 D7D0"
	$"0D7D 7D11 1133 3111 1113 33F1 117D 7D70"
	$"D7D7 D711 11F3 3311 1133 3FF1 11D7 D7D7"
	$"7D7D 7111 1111 3331 1333 FF11 111D 7D7D"
	$"D7D7 D111 1111 1333 333F FF11 1117 D7D7"
	$"7D7D 7111 1111 1133 33FF F111 111D 7D7D"
	$"D7D7 D111 1111 1133 33F1 1111 1117 D7D7"
	$"7D7D 7111 1111 1333 3331 1111 111D 7D7D"
	$"D7D7 D111 1111 333F 1333 1111 1117 D7D7"
	$"7D7D 7D11 1113 33F1 1133 3111 117D 7D7D"
	$"07D7 D711 1133 31F1 1113 3311 11D7 D7D0"
	$"0D7D 7D11 1333 1111 1111 3331 117D 7D70"
	$"07D7 D7D1 3331 FFF1 1111 1333 17D7 D7D0"
	$"007D 7D73 3311 FFF1 1111 1133 3D7D 7D00"
	$"00D7 D733 3111 FF11 1111 1113 33D7 D700"
	$"000D 7333 7D11 1111 1111 117D 333D 7000"
	$"0000 3337 D7D7 D111 1117 D7D7 D333 0000"
	$"0003 337D 7D7D 7D7D 7D7D 7D7D 7D33 3000"
	$"0033 30D7 D7D7 D7D7 D7D7 D7D7 D703 3300"
	$"0333 000D 7D7D 7D7D 7D7D 7D7D 7000 3330"
	$"3330 0000 07D7 D7D7 D7D7 D7D0 0000 0333"
	$"3300 0000 0000 7D7D 7D7D 0000 0000 0033"
};


/******************************Get Info icons*********************************/
/* Note: for System 7 icon suites, the mask (2nd half) of the 'ICN#' 
	is much more crucial than for PlotIcon()  if wrong, you lose the letters
*/
	/* Get Info icon for 24-bit clean application */
data 'ICN#' (kICNN_24bitclean, SysHeap) {
	$"A00F F006 A07F FE05 E1FF FF86 A3FF FFC5"
	$"A7FF FFE5 0FF8 1FF0 1FC0 03F8 3F80 01FC"
	$"3F7F FEFC 7E7F FE7E 7C00 063E 7D94 063E"
	$"FC54 0C3F F89C 0C1F F904 181F F9C4 181F"
	$"F800 301F F81F FC1F F81F FC1F FC00 C03F"
	$"7C00 C03E 7C01 803E 7E01 807E 3F03 00FC"
	$"3F83 01FC 1FC6 03F8 0FFE 1FF0 67FF FFE7"
	$"83FF FFC2 41FF FF82 207F FE02 C00F F002"

	$"F00F F00F F07F FE0F F1FF FF8F F3FF FFCF"
	$"F7FF FFEF FFFF FFFF 1FFF FFF8 3FFF FFFC"
	$"3FFF FFFC 7FFF FFFE 7FFF FFFE 7FFF FFFE"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"7FFF FFFE 7FFF FFFE 7FFF FFFE 3FFF FFFC"
	$"3FFF FFFC 1FFF FFF8 FFFF FFFF F7FF FFEF"
	$"F3FF FFCF F1FF FF8F F07F FE0F F00F F00F"
};
#ifdef qUseIconSuite
		/* Without using icon suite routines, we cant plot icl8, icl4 */
data 'icl8' (kICNN_24bitclean, SysHeap) {
	$"EC00 EC00 0000 0000 0000 0000 C09F C09F"
	$"C09F C09F 0000 0000 0000 0000 00EC EC00"
	$"EC00 EC00 0000 0000 00C0 9FC0 9FC0 9FC0"
	$"9FC0 9FC0 9FC0 9F00 0000 0000 00EC 00EC"
	$"ECEC EC00 0000 009F C09F C09F C09F C09F"
	$"C09F C09F C09F C09F C000 0000 00EC EC00"
	$"EC00 EC00 0000 9FC0 9FC0 9FC0 9FC0 9FC0"
	$"9FC0 9FC0 9FC0 9FC0 9FC0 0000 00EC 00EC"
	$"EC00 EC00 009F C09F C09F C09F C09F C09F"
	$"C09F C09F C09F C09F C09F C000 00EC 00EC"
	$"0000 0000 9FC0 9FC0 9FC0 9FC0 9F05 0505"
	$"0505 05C0 9FC0 9FC0 9FC0 9FC0 0000 0000"
	$"0000 009F C09F C09F C09F 0505 0505 0505"
	$"0505 0505 0505 C09F C09F C09F C000 0000"
	$"0000 9FC0 9FC0 9FC0 9F05 0505 0505 0505"
	$"0505 0505 0505 05C0 9FC0 9FC0 9FC0 0000"
	$"0000 C09F C09F C09F 05FF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FF05 C09F C09F C09F 0000"
	$"00C0 9FC0 9FC0 9F05 05FF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FF05 05C0 9FC0 9FC0 9F00"
	$"009F C09F C09F 0505 0505 0505 0505 0505"
	$"0505 0505 05FF FF05 0505 C09F C09F C000"
	$"00C0 9FC0 9FC0 05FF FF05 05FF 05FF 0505"
	$"0505 0505 05FF FF05 0505 9FC0 9FC0 9F00"
	$"C09F C09F C09F 0505 05FF 05FF 05FF 0505"
	$"0505 0505 FFFF 0505 0505 C09F C09F C09F"
	$"9FC0 9FC0 9F05 0505 FF05 05FF FFFF 0505"
	$"0505 0505 FFFF 0505 0505 05C0 9FC0 9FC0"
	$"C09F C09F C005 05FF 0505 0505 05FF 0505"
	$"0505 05FF FF05 0505 0505 059F C09F C09F"
	$"9FC0 9FC0 9F05 05FF FFFF 0505 05FF 0505"
	$"0505 05FF FF05 0505 0505 05C0 9FC0 9FC0"
	$"C09F C09F C005 0505 0505 0505 0505 0505"
	$"0505 FFFF 0505 0505 0505 059F C09F C09F"
	$"9FC0 9FC0 9F05 0505 0505 05FF FFFF FFFF"
	$"FFFF FFFF FFFF 0505 0505 05C0 9FC0 9FC0"
	$"C09F C09F C005 0505 0505 05FF FFFF FFFF"
	$"FFFF FFFF FFFF 0505 0505 059F C09F C09F"
	$"9FC0 9FC0 9FC0 0505 0505 0505 0505 0505"
	$"FFFF 0505 0505 0505 0505 9FC0 9FC0 9FC0"
	$"009F C09F C09F 0505 0505 0505 0505 0505"
	$"FFFF 0505 0505 0505 0505 C09F C09F C000"
	$"00C0 9FC0 9FC0 0505 0505 0505 0505 05FF"
	$"FF05 0505 0505 0505 0505 9FC0 9FC0 9F00"
	$"009F C09F C09F C005 0505 0505 0505 05FF"
	$"FF05 0505 0505 0505 059F C09F C09F C000"
	$"0000 9FC0 9FC0 9FC0 0505 0505 0505 FFFF"
	$"0505 0505 0505 0505 9FC0 9FC0 9FC0 0000"
	$"0000 C09F C09F C09F C005 0505 0505 FFFF"
	$"0505 0505 0505 059F C09F C09F C09F 0000"
	$"0000 00C0 9FC0 9FC0 9FC0 0505 05FF FF05"
	$"0505 0505 0505 9FC0 9FC0 9FC0 9F00 0000"
	$"0000 0000 C09F C09F C09F C09F C005 0505"
	$"0505 059F C09F C09F C09F C09F 0000 0000"
	$"00EC EC00 00C0 9FC0 9FC0 9FC0 9FC0 9FC0"
	$"9FC0 9FC0 9FC0 9FC0 9FC0 9F00 00EC ECEC"
	$"EC00 0000 0000 C09F C09F C09F C09F C09F"
	$"C09F C09F C09F C09F C09F 0000 0000 EC00"
	$"00EC 0000 0000 00C0 9FC0 9FC0 9FC0 9FC0"
	$"9FC0 9FC0 9FC0 9FC0 9F00 0000 0000 EC00"
	$"0000 EC00 0000 0000 009F C09F C09F C09F"
	$"C09F C09F C09F C000 0000 0000 0000 EC00"
	$"ECEC 0000 0000 0000 0000 0000 9FC0 9FC0"
	$"9FC0 9FC0 0000 0000 0000 0000 0000 EC00"
};
data 'icl4' (kICNN_24bitclean, SysHeap) {
	$"6060 0000 0000 7D7D 7D7D 0000 0000 0660"
	$"6060 0000 07D7 D7D7 D7D7 D7D0 0000 0606"
	$"6660 000D 7D7D 7D7D 7D7D 7D7D 7000 0660"
	$"6060 00D7 D7D7 D7D7 D7D7 D7D7 D700 0606"
	$"6060 0D7D 7D7D 7D7D 7D7D 7D7D 7D70 0606"
	$"0000 D7D7 D7D7 D111 1117 D7D7 D7D7 0000"
	$"000D 7D7D 7D11 1111 1111 117D 7D7D 7000"
	$"00D7 D7D7 D111 1111 1111 1117 D7D7 D700"
	$"007D 7D7D 1FFF FFFF FFFF FFF1 7D7D 7D00"
	$"07D7 D7D1 1FFF FFFF FFFF FFF1 17D7 D7D0"
	$"0D7D 7D11 1111 1111 1111 1FF1 117D 7D70"
	$"07D7 D71F F11F 1F11 1111 1FF1 11D7 D7D0"
	$"7D7D 7D11 1F1F 1F11 1111 FF11 117D 7D7D"
	$"D7D7 D111 F11F FF11 1111 FF11 1117 D7D7"
	$"7D7D 711F 1111 1F11 111F F111 111D 7D7D"
	$"D7D7 D11F FF11 1F11 111F F111 1117 D7D7"
	$"7D7D 7111 1111 1111 11FF 1111 111D 7D7D"
	$"D7D7 D111 111F FFFF FFFF FF11 1117 D7D7"
	$"7D7D 7111 111F FFFF FFFF FF11 111D 7D7D"
	$"D7D7 D711 1111 1111 FF11 1111 11D7 D7D7"
	$"0D7D 7D11 1111 1111 FF11 1111 117D 7D70"
	$"07D7 D711 1111 111F F111 1111 11D7 D7D0"
	$"0D7D 7D71 1111 111F F111 1111 1D7D 7D70"
	$"00D7 D7D7 1111 11FF 1111 1111 D7D7 D700"
	$"007D 7D7D 7111 11FF 1111 111D 7D7D 7D00"
	$"0007 D7D7 D711 1FF1 1111 11D7 D7D7 D000"
	$"0000 7D7D 7D7D 7111 111D 7D7D 7D7D 0000"
	$"0660 07D7 D7D7 D7D7 D7D7 D7D7 D7D0 0666"
	$"6000 007D 7D7D 7D7D 7D7D 7D7D 7D00 0060"
	$"0600 0007 D7D7 D7D7 D7D7 D7D7 D000 0060"
	$"0060 0000 0D7D 7D7D 7D7D 7D70 0000 0060"
	$"6600 0000 0000 D7D7 D7D7 0000 0000 0060"
};
#endif qUseIconSuite

	/* Get Info icon for 32-bit clean application */
data 'ICN#' (kICNN_32bitclean, SysHeap) {
	$"A00F F006 A07F FE05 E1FF FF86 A3FF FFC5"
	$"A7FF FFE5 0FF8 1FF0 1FC0 03F8 3F80 01FC"
	$"3F7F FEFC 7E7F FE7E 7C00 063E 7D98 063E"
	$"FC44 0C3F F888 0C1F F850 181F F99C 181F"
	$"F800 301F F81F FC1F F81F FC1F FC00 C03F"
	$"7C00 C03E 7C01 803E 7E01 807E 3F03 00FC"
	$"3F83 01FC 1FC6 03F8 0FFE 1FF0 67FF FFE7"
	$"83FF FFC2 41FF FF82 207F FE02 C00F F002"

	$"F00F F00F F07F FE0F F1FF FF8F F3FF FFCF"
	$"F7FF FFEF FFFF FFFF 1FFF FFF8 3FFF FFFC"
	$"3FFF FFFC 7FFF FFFE 7FFF FFFE 7FFF FFFE"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"7FFF FFFE 7FFF FFFE 7FFF FFFE 3FFF FFFC"
	$"3FFF FFFC 1FFF FFF8 FFFF FFFF F7FF FFEF"
	$"F3FF FFCF F1FF FF8F F07F FE0F F00F F00F"
};
#ifdef qUseIconSuite
data 'icl8' (kICNN_32bitclean, SysHeap) {
	$"EC00 EC00 0000 0000 0000 0000 C09F C09F"
	$"C09F C09F 0000 0000 0000 0000 00EC EC00"
	$"EC00 EC00 0000 0000 00C0 9FC0 9FC0 9FC0"
	$"9FC0 9FC0 9FC0 9F00 0000 0000 00EC 00EC"
	$"ECEC EC00 0000 009F C09F C09F C09F C09F"
	$"C09F C09F C09F C09F C000 0000 00EC EC00"
	$"EC00 EC00 0000 9FC0 9FC0 9FC0 9FC0 9FC0"
	$"9FC0 9FC0 9FC0 9FC0 9FC0 0000 00EC 00EC"
	$"EC00 EC00 009F C09F C09F C09F C09F C09F"
	$"C09F C09F C09F C09F C09F C000 00EC 00EC"
	$"0000 0000 9FC0 9FC0 9FC0 9FC0 9F05 0505"
	$"0505 05C0 9FC0 9FC0 9FC0 9FC0 0000 0000"
	$"0000 009F C09F C09F C09F 0505 0505 0505"
	$"0505 0505 0505 C09F C09F C09F C000 0000"
	$"0000 9FC0 9FC0 9FC0 9F05 0505 0505 0505"
	$"0505 0505 0505 05C0 9FC0 9FC0 9FC0 0000"
	$"0000 C09F C09F C09F 05FF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FF05 C09F C09F C09F 0000"
	$"00C0 9FC0 9FC0 9F05 05FF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FF05 05C0 9FC0 9FC0 9F00"
	$"009F C09F C09F 0505 0505 0505 0505 0505"
	$"0505 0505 05FF FF05 0505 C09F C09F C000"
	$"00C0 9FC0 9FC0 05FF FF05 05FF FF05 0505"
	$"0505 0505 05FF FF05 0505 9FC0 9FC0 9F00"
	$"C09F C09F C09F 0505 05FF 0505 05FF 0505"
	$"0505 0505 FFFF 0505 0505 C09F C09F C09F"
	$"9FC0 9FC0 9F05 0505 FF05 0505 FF05 0505"
	$"0505 0505 FFFF 0505 0505 05C0 9FC0 9FC0"
	$"C09F C09F C005 0505 05FF 05FF 0505 0505"
	$"0505 05FF FF05 0505 0505 059F C09F C09F"
	$"9FC0 9FC0 9F05 05FF FF05 05FF FFFF 0505"
	$"0505 05FF FF05 0505 0505 05C0 9FC0 9FC0"
	$"C09F C09F C005 0505 0505 0505 0505 0505"
	$"0505 FFFF 0505 0505 0505 059F C09F C09F"
	$"9FC0 9FC0 9F05 0505 0505 05FF FFFF FFFF"
	$"FFFF FFFF FFFF 0505 0505 05C0 9FC0 9FC0"
	$"C09F C09F C005 0505 0505 05FF FFFF FFFF"
	$"FFFF FFFF FFFF 0505 0505 059F C09F C09F"
	$"9FC0 9FC0 9FC0 0505 0505 0505 0505 0505"
	$"FFFF 0505 0505 0505 0505 9FC0 9FC0 9FC0"
	$"009F C09F C09F 0505 0505 0505 0505 0505"
	$"FFFF 0505 0505 0505 0505 C09F C09F C000"
	$"00C0 9FC0 9FC0 0505 0505 0505 0505 05FF"
	$"FF05 0505 0505 0505 0505 9FC0 9FC0 9F00"
	$"009F C09F C09F C005 0505 0505 0505 05FF"
	$"FF05 0505 0505 0505 059F C09F C09F C000"
	$"0000 9FC0 9FC0 9FC0 0505 0505 0505 FFFF"
	$"0505 0505 0505 0505 9FC0 9FC0 9FC0 0000"
	$"0000 C09F C09F C09F C005 0505 0505 FFFF"
	$"0505 0505 0505 059F C09F C09F C09F 0000"
	$"0000 00C0 9FC0 9FC0 9FC0 0505 05FF FF05"
	$"0505 0505 0505 9FC0 9FC0 9FC0 9F00 0000"
	$"0000 0000 C09F C09F C09F C09F C005 0505"
	$"0505 059F C09F C09F C09F C09F 0000 0000"
	$"00EC EC00 00C0 9FC0 9FC0 9FC0 9FC0 9FC0"
	$"9FC0 9FC0 9FC0 9FC0 9FC0 9F00 00EC ECEC"
	$"EC00 0000 0000 C09F C09F C09F C09F C09F"
	$"C09F C09F C09F C09F C09F 0000 0000 EC00"
	$"00EC 0000 0000 00C0 9FC0 9FC0 9FC0 9FC0"
	$"9FC0 9FC0 9FC0 9FC0 9F00 0000 0000 EC00"
	$"0000 EC00 0000 0000 009F C09F C09F C09F"
	$"C09F C09F C09F C000 0000 0000 0000 EC00"
	$"ECEC 0000 0000 0000 0000 0000 9FC0 9FC0"
	$"9FC0 9FC0 0000 0000 0000 0000 0000 EC00"
};
data 'icl4' (kICNN_32bitclean, SysHeap) {
	$"6060 0000 0000 7D7D 7D7D 0000 0000 0660"
	$"6060 0000 07D7 D7D7 D7D7 D7D0 0000 0606"
	$"6660 000D 7D7D 7D7D 7D7D 7D7D 7000 0660"
	$"6060 00D7 D7D7 D7D7 D7D7 D7D7 D700 0606"
	$"6060 0D7D 7D7D 7D7D 7D7D 7D7D 7D70 0606"
	$"0000 D7D7 D7D7 D111 1117 D7D7 D7D7 0000"
	$"000D 7D7D 7D11 1111 1111 117D 7D7D 7000"
	$"00D7 D7D7 D111 1111 1111 1117 D7D7 D700"
	$"007D 7D7D 1FFF FFFF FFFF FFF1 7D7D 7D00"
	$"07D7 D7D1 1FFF FFFF FFFF FFF1 17D7 D7D0"
	$"0D7D 7D11 1111 1111 1111 1FF1 117D 7D70"
	$"07D7 D71F F11F F111 1111 1FF1 11D7 D7D0"
	$"7D7D 7D11 1F11 1F11 1111 FF11 117D 7D7D"
	$"D7D7 D111 F111 F111 1111 FF11 1117 D7D7"
	$"7D7D 7111 1F1F 1111 111F F111 111D 7D7D"
	$"D7D7 D11F F11F FF11 111F F111 1117 D7D7"
	$"7D7D 7111 1111 1111 11FF 1111 111D 7D7D"
	$"D7D7 D111 111F FFFF FFFF FF11 1117 D7D7"
	$"7D7D 7111 111F FFFF FFFF FF11 111D 7D7D"
	$"D7D7 D711 1111 1111 FF11 1111 11D7 D7D7"
	$"0D7D 7D11 1111 1111 FF11 1111 117D 7D70"
	$"07D7 D711 1111 111F F111 1111 11D7 D7D0"
	$"0D7D 7D71 1111 111F F111 1111 1D7D 7D70"
	$"00D7 D7D7 1111 11FF 1111 1111 D7D7 D700"
	$"007D 7D7D 7111 11FF 1111 111D 7D7D 7D00"
	$"0007 D7D7 D711 1FF1 1111 11D7 D7D7 D000"
	$"0000 7D7D 7D7D 7111 111D 7D7D 7D7D 0000"
	$"0660 07D7 D7D7 D7D7 D7D7 D7D7 D7D0 0666"
	$"6000 007D 7D7D 7D7D 7D7D 7D7D 7D00 0060"
	$"0600 0007 D7D7 D7D7 D7D7 D7D7 D000 0060"
	$"0060 0000 0D7D 7D7D 7D7D 7D70 0000 0060"
	$"6600 0000 0000 D7D7 D7D7 0000 0000 0060"
};
#endif qUseIconSuite

	/* Get Info icon for application not System 7 savvy at all */
data 'ICN#' (kICNN_NotAtAllSavvy, SysHeap) {
	$"C00A A003 E055 5407 70AA AA8E 3955 555C"
	$"1EAA AAB8 0F50 1570 0F80 02E8 1780 01D4"
	$"2BEA ABA8 54F5 5754 2870 0E2A 5438 1C14"
	$"A81C 382A 500E 7415 A807 E80A 5003 D015"
	$"A803 E00A 5017 F415 A80E F80A 541C 7815"
	$"2838 9C2A 5471 0E14 2AE0 872A 15C1 03D4"
	$"2B82 01E8 1744 01F0 0EAA 0AF0 1D55 5578"
	$"3AAA AA9C 7155 550E E02A AA07 C005 5003"
	$"C00A A003 E05F F407 70FF FE8E 39FF FFDC"
	$"1FFF FFF8 0FFF FFF0 0FFF FFF8 1FFF FFFC"
	$"3FFF FFF8 7FFF FFFC 3FFF FFFE 7FFF FFFC"
	$"FFFF FFFE 7FFF FFFF FFFF FFFE 7FFF FFFF"
	$"FFFF FFFE 7FFF FFFF FFFF FFFE 7FFF FFFF"
	$"3FFF FFFE 7FFF FFFC 3FFF FFFE 1FFF FFFC"
	$"3FFF FFF8 1FFF FFF0 0FFF FFF0 1FFF FFF8"
	$"3BFF FF9C 717F FF0E E02F FA07 C005 5003"
};
#ifdef qUseIconSuite
data 'icl8' (kICNN_NotAtAllSavvy) {
	$"D8D8 0000 0000 0000 0000 0000 9FF6 9FF6"
	$"9FF6 9FF6 0000 0000 0000 0000 0000 D8D8"
	$"D8D8 D800 0000 0000 009F F69F F69F F69F"
	$"F69F F69F F69F F600 0000 0000 00D8 D8D8"
	$"00D8 D8D8 0000 00F6 9FF6 9FF6 9FF6 9FF6"
	$"9FF6 9FF6 9FF6 9FF6 9F00 0000 D8D8 D800"
	$"0000 D8D8 D800 F69F F69F F69F F69F F69F"
	$"F69F F69F F69F F69F F69F 00D8 D8D8 0000"
	$"0000 00D8 D8D8 9FF6 9FF6 9FF6 9FF6 9FF6"
	$"9FF6 9FF6 9FF6 9FF6 9FF6 D8D8 D800 0000"
	$"0000 0000 D8D8 D89F F69F F69F F605 F505"
	$"F505 F59F F69F F69F F6D8 D8D8 0000 0000"
	$"0000 00F6 9FD8 D8D8 9FF6 05F5 05F5 05F5"
	$"05F5 05F5 05F5 9FF6 D8D8 D8F6 9F00 0000"
	$"0000 F69F F69F D8D8 D805 F505 F505 F505"
	$"F505 F505 F505 F5D8 D8D8 F69F F69F 0000"
	$"0000 9FF6 9FF6 9FD8 D8D8 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 D8D8 D8F6 9FF6 9FF6 0000"
	$"009F F69F F69F F605 D8D8 D8F9 F9F9 F9F9"
	$"F9F9 F9F9 F9D8 D8D8 F59F F69F F69F F600"
	$"00F6 9FF6 9FF6 05F5 05D8 D8D8 05F5 05F5"
	$"05F5 05F5 D8D8 D8F5 05F5 9FF6 9FF6 9F00"
	$"009F F69F F69F F505 F505 D8D8 D805 F505"
	$"F505 F5D8 D8D8 F905 F505 F69F F69F F600"
	$"9FF6 9FF6 9FF6 05F5 05F5 05D8 D8D8 05F5"
	$"05F5 D8D8 D8F9 05F5 05F5 9FF6 9FF6 9FF6"
	$"F69F F69F F605 F505 F505 F505 D8D8 D805"
	$"F5D8 D8D8 F9F9 F505 F505 F59F F69F F69F"
	$"9FF6 9FF6 9FF5 05F5 05F5 05F5 05D8 D8D8"
	$"D8D8 D8F9 F9F5 05F5 05F5 05F6 9FF6 9FF6"
	$"F69F F69F F605 F505 F505 F505 F505 D8D8"
	$"D8D8 F5F9 F905 F505 F505 F59F F69F F69F"
	$"9FF6 9FF6 9FF5 05F5 05F5 05F5 05F5 D8D8"
	$"D8D8 F9F9 05F5 05F5 05F5 05F6 9FF6 9FF6"
	$"F69F F69F F605 F505 F505 F5F9 F9D8 D8D8"
	$"D8D8 D8F9 F9F9 F505 F505 F59F F69F F69F"
	$"9FF6 9FF6 9FF5 05F5 05F5 05F9 D8D8 D8F9"
	$"F9D8 D8D8 F9F9 05F5 05F5 05F6 9FF6 9FF6"
	$"F69F F69F F69F F505 F505 F5D8 D8D8 F505"
	$"F9F9 D8D8 D805 F505 F505 F69F F69F F69F"
	$"00F6 9FF6 9FF6 05F5 05F5 D8D8 D8F5 05F5"
	$"F9F9 05D8 D8D8 05F5 05F5 9FF6 9FF6 9F00"
	$"009F F69F F69F F505 F5D8 D8D8 F505 F5F9"
	$"F905 F505 D8D8 D805 F505 F69F F69F F600"
	$"00F6 9FF6 9FF6 9FF5 D8D8 D8F5 05F5 05F9"
	$"F9F5 05F5 05D8 D8D8 05F6 9FF6 9FF6 9F00"
	$"0000 F69F F69F F6D8 D8D8 F505 F505 F9F9"
	$"F505 F505 F505 D8D8 D89F F69F F69F 0000"
	$"0000 9FF6 9FF6 D8D8 D8F5 05F5 05F5 F9F9"
	$"05F5 05F5 05F5 05D8 D8D8 9FF6 9FF6 0000"
	$"0000 009F F6D8 D8D8 F69F F505 F5F9 F905"
	$"F505 F505 F505 F69F D8D8 D89F F600 0000"
	$"0000 0000 D8D8 D8F6 9FF6 9FF6 9FF5 05F5"
	$"05F5 05F6 9FF6 9FF6 9FD8 D8D8 0000 0000"
	$"0000 00D8 D8D8 F69F F69F F69F F69F F69F"
	$"F69F F69F F69F F69F F69F D8D8 D800 0000"
	$"0000 D8D8 D800 9FF6 9FF6 9FF6 9FF6 9FF6"
	$"9FF6 9FF6 9FF6 9FF6 9FF6 00D8 D8D8 0000"
	$"00D8 D8D8 0000 009F F69F F69F F69F F69F"
	$"F69F F69F F69F F69F F600 0000 D8D8 D800"
	$"D8D8 D800 0000 0000 00F6 9FF6 9FF6 9FF6"
	$"9FF6 9FF6 9FF6 9F00 0000 0000 00D8 D8D8"
	$"D8D8 0000 0000 0000 0000 0000 F69F F69F"
	$"F69F F69F 0000 0000 0000 0000 0000 D8D8"
};
data 'icl4' (kICNN_NotAtAllSavvy) {
	$"3300 0000 0000 9090 9090 0000 0000 0033"
	$"3330 0000 0909 0909 0909 0900 0000 0333"
	$"0333 0000 9090 9090 9090 9090 9000 3330"
	$"0033 3009 0909 0909 0909 0909 0903 3300"
	$"0003 3390 9090 9090 9090 9090 9033 3000"
	$"0000 3339 0909 0101 0109 0909 0333 0000"
	$"0000 9333 9010 1010 1010 1090 3330 9000"
	$"0009 0933 3101 0101 0101 0103 3309 0900"
	$"0090 9093 33DD DDDD DDDD DD33 3090 9000"
	$"0909 0901 333D DDDD DDDD D333 0909 0900"
	$"0090 9010 1333 1010 1010 3330 1090 9090"
	$"0909 0901 0133 3101 0103 33D1 0109 0900"
	$"9090 9010 1013 3310 1033 3D10 1090 9090"
	$"0909 0101 0101 3331 0333 DD01 0109 0909"
	$"9090 9010 1010 1333 333D D010 1010 9090"
	$"0909 0101 0101 0133 330D D101 0109 0909"
	$"9090 9010 1010 1033 33DD 1010 1010 9090"
	$"0909 0101 010D D333 333D DD01 0109 0909"
	$"9090 9010 101D 333D D333 DD10 1010 9090"
	$"0909 0901 0103 3301 DD33 3101 0109 0909"
	$"0090 9010 1033 3010 DD13 3310 1090 9090"
	$"0909 0901 0333 010D D101 3331 0109 0900"
	$"0090 9090 3330 101D D010 1333 1090 9090"
	$"0009 0903 3301 01DD 0101 0133 3909 0900"
	$"0090 9033 3010 10DD 1010 1013 3390 9000"
	$"0009 0333 0901 0DD1 0101 0109 3339 0000"
	$"0000 3330 9090 9010 1010 9090 9333 0000"
	$"0003 3309 0909 0909 0909 0909 0933 3000"
	$"0033 3090 9090 9090 9090 9090 9003 3300"
	$"0333 0009 0909 0909 0909 0909 0000 3330"
	$"3330 0000 0090 9090 9090 9090 0000 0333"
	$"3300 0000 0000 0909 0909 0000 0000 0033"
};
#endif qUseIconSuite
