//  Show Init Stuff 
#define icon_family_ID 128
#define DontLoadIcon 129


//  Memory management Stuff 

#define CODE_SETUP()	asm {						\
					movem.l	a0-a5/D0-D7, -(SP)		\
					move.l		a0, a4				\
					}

	/* CODE_CLEANUP restores most registers from the stack. */


#define CODE_CLEANUP()	asm {						\
					movem.l	(SP)+, a0-a5/D0-D7		\
					}

	/* Quickdraw global variables */

#define GrafSize		206		/* from IM I-209. Total QDraw storage. */
#define ADD_GRAFSIZE	(GrafSize - 130)	/* 130 bytes in shown fields */
typedef struct
{
	char			filler[ADD_GRAFSIZE];	/* internal QD storage */
	long			randSeed;
	BitMap			screenBits;
	Cursor			arrow;
	Pattern			dkGray;
	Pattern			ltGray;
	Pattern			gray;
	Pattern			black;
	Pattern			white;
	GrafPtr			thePort;
} QD_GLOBALS;



#ifndef NULL				/* LSC puts this in stdio of all places... */
#define NULL ( (void *)0 )
#endif

static QD_GLOBALS our_qd;

//

#define kReturnKey	 		0x0D
#define kEnterKey	 		0x03
#define kSpaceKey	 		0x20
#define kESCKey		 		0x1B
#define kPeriodKey	 		0x2E
#define kLeftArrowKey	 	0x1C
#define kRightArrowKey	 	0x1D
#define kUpArrowKey	 		0x1E
#define kDownArrowKey	 	0x1F

#define kTrashButton 		1
#define kCancelButton 		2
#define kTitleStatTxt 		3
#define kTitleBoxUI 		4
#define kListUI	 			5
#define kSelectAllButton	6
#define kDeselectAllButton	7
#define kTotalSelectedUI	8
#define kSignatureStatTxt	9
#define kTotalUnselectedUI	10

#define kDoUpdate 		32000
#define kDoNothing 		31000
#define kKeyOK 			30000
#define kKeyCancel 		29000


#define kOpenFolderType 		1
#define kClosedFolderType		2
#define kDiskType 				3
#define kFileType 				4
#define kApplicationType 		5

#define kScanCodeOption		(unsigned short)0x3A

typedef struct ListEntryRec {
	Str63	name;
	long	parID;
	short	vRefNum;
	short	depth;
	short	type;
	long	fileSize;
}ListEntryRec, *ListEntryPtr, **ListEntryHdl;

typedef struct TrashItemsRec {
	ListEntryRec	listEntry;
	struct 			TrashItemsRec	**next;
}TrashItemsRec, *TrashItemsPtr, **TrashItemsHdl;

static 	Handle			gMyLDEF;
static 	long			old_MenuSelect;
static 	Handle			itemList;
static 	CInfoPBRec		gMyCPB;
static 	short			gDepth;
static 	TrashItemsHdl	gBaseTrashItem;
static 	ListHandle		gTheList;
static 	short			gCurrentVRefNum;
static 	short			gOurMenuWasSelected;
static	long 			gOldJGNE;

#define MenuSelect_TRAP	0xA93D

pascal	long our_MenuSelect(Point	where);
void	DoTrashDialog(void);
pascal	Boolean TrashFilter(DialogPtr theDialog, EventRecord *dlgEvent, short *itemHit);
void	PositionDialog(DialogPtr theDialog);
void	BuildTrashList(ListHandle theList);
void	EnumerateCatalog (long int dirIDToSearch, ListHandle gTheList);
void	DisplayInitialList(ListHandle theList);
long	GetTotalSelected(ListHandle theList);
void	SelectAll(ListHandle theList);
void	DeselectAll(ListHandle theList);
pascal	Boolean myLClikLoop(void);
void	DeleteSelected(ListHandle gTheList);
Boolean CheckForSystem7(void);
Boolean KeyIsDown(unsigned  short  key);

static	Boolean myGNE (EventRecord *event,Boolean preResult);
static	void myJGNE (void);
