/*------------------------------------------------------------------------------
#
#	Apple Macintosh Developer Technical Support
#
#	MultiFinder-Aware Simple Sample Application
#
#	Sample
#
#	Sample.r	-	Rez Source
#
#	Copyright  Apple Computer, Inc. 1989-1990
#	All rights reserved.
#
#	Versions:	
#				1.00				08/88
#				1.01				11/88
#				1.02				04/89	MPW 3.1
#				1.03				02/90	MPW 3.2
#
#	Components:
#				Sample.c			Feb.  1, 1990
#				Sample.r			Feb.  1, 1990
#				Sample.h			Feb.  1, 1990
#				Sample.make			Feb.  1, 1990
#
#	Sample is an example application that demonstrates how to
#	initialize the commonly used toolbox managers, operate 
#	successfully under MultiFinder, handle desk accessories, 
#	and create, grow, and zoom windows.
#
#	It does not by any means demonstrate all the techniques 
#	you need for a large application. In particular, Sample 
#	does not cover exception handling, multiple windows/documents, 
#	sophisticated memory management, printing, or undo. All of 
#	these are vital parts of a normal full-sized application.
#
#	This application is an example of the form of a Macintosh 
#	application; it is NOT a template. It is NOT intended to be 
#	used as a foundation for the next world-class, best-selling, 
#	600K application. A stick figure drawing of the human body may 
#	be a good example of the form for a painting, but that does not 
#	mean it should be used as the basis for the next Mona Lisa.
#
#	We recommend that you review this program or TESample before 
#	beginning a new application.
------------------------------------------------------------------------------*/


#include "SysTypes.r"
#include "Types.r"

#include "Sample.h"

resource 'vers' (1) {
	0x02, 0x00, release, 0x00,
	verUS,
	"1.03",
	"1.03, Copyright \251 Apple Computer, Inc. 1989-1990"
};


/* this is a definition for a resource which contains only a rectangle */

type 'RECT' {
	rect;
};


/* we use an MBAR resource to conveniently load all the menus */

resource 'MBAR' (rMenuBar, preload) {
	{ mApple, mFile, mEdit, mLight };	/* four menus */
};


resource 'MENU' (mApple, preload) {
	mApple, textMenuProc,
	AllItems & ~MenuItem2,	/* Disable dashed line, enable About and DAs */
	enabled, apple,
	{
		"About Sample",
			noicon, nokey, nomark, plain;
		"-",
			noicon, nokey, nomark, plain
	}
};

resource 'MENU' (mFile, preload) {
	mFile, textMenuProc,
	MenuItem12,				/* enable Quit only, program enables others */
	enabled, "File",
	{
		"New",
			noicon, "N", nomark, plain;
		"Open",
			noicon, "O", nomark, plain;
		"-",
			noicon, nokey, nomark, plain;
		"Close",
			noicon, "W", nomark, plain;
		"Save",
			noicon, "S", nomark, plain;
		"Save As",
			noicon, nokey, nomark, plain;
		"Revert",
			noicon, nokey, nomark, plain;
		"-",
			noicon, nokey, nomark, plain;
		"Page Setup",
			noicon, nokey, nomark, plain;
		"Print",
			noicon, nokey, nomark, plain;
		"-",
			noicon, nokey, nomark, plain;
		"Quit",
			noicon, "Q", nomark, plain
	}
};

resource 'MENU' (mEdit, preload) {
	mEdit, textMenuProc,
	NoItems,				/* disable everything, program does the enabling */
	enabled, "Edit",
	 {
		"Undo",
			noicon, "Z", nomark, plain;
		"-",
			noicon, nokey, nomark, plain;
		"Cut",
			noicon, "X", nomark, plain;
		"Copy",
			noicon, "C", nomark, plain;
		"Paste",
			noicon, "V", nomark, plain;
		"Clear",
			noicon, nokey, nomark, plain
	}
};

resource 'MENU' (mLight, preload) {
	mLight, textMenuProc,
	NoItems,				/* disable everything, program does the enabling */
	enabled, "Traffic",
	 {
	}
};


/* this ALRT and DITL are used as an About screen */

resource 'ALRT' (rAboutAlert, purgeable) {
	{40, 20, 160, 297},
	rAboutAlert,
	{ /* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'DITL' (rAboutAlert, purgeable) {
	{ /* array DITLarray: 5 elements */
		/* [1] */
		{88, 185, 108, 265},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{8, 8, 24, 214},
		StaticText {
			disabled,
			"Simple Sample (Traffic Light)"
		},
		/* [3] */
		{32, 8, 48, 296},
		StaticText {
			disabled,
			"Copyright  Apple Computer 1989-1990"
		},
		/* [4] */
		{56, 8, 72, 136},
		StaticText {
			disabled,
			"Brought to you by:"
		},
		/* [5] */
		{80, 24, 112, 167},
		StaticText {
			disabled,
			"Macintosh Developer Technical Support"
		}
	}
};


/* this ALRT and DITL are used as an error screen */

resource 'ALRT' (rUserAlert, purgeable) {
	{40, 20, 120, 260},
	rUserAlert,
	{ /* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};


resource 'DITL' (rUserAlert, purgeable) {
	{ /* array DITLarray: 3 elements */
		/* [1] */
		{50, 150, 70, 230},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 60, 30, 230},
		StaticText {
			disabled,
			"Sample - Error occurred!"
		},
		/* [3] */
		{8, 8, 40, 40},
		Icon {
			disabled,
			2
		}
	}
};


resource 'WIND' (rWindow, preload, purgeable) {
	{60, 40, 220, 200},
	noGrowDocProc, invisible, noGoAway, 0x0, "Your location"
};


/* here is the quintessential MultiFinder friendliness device, the SIZE resource */

resource 'SIZE' (-1) {
	dontSaveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,				/* we can background; we don't currently, but our sleep value */
								/* guarantees we don't hog the Mac while we are in the background */
	multiFinderAware,			/* this says we do our own activate/deactivate; don't fake us out */
	backgroundAndForeground,	/* this is definitely not a background-only application! */
	dontGetFrontClicks,			/* change this is if you want "do first click" behavior like the Finder */
	ignoreChildDiedEvents,		/* essentially, I'm not a debugger (sub-launching) */
	not32BitCompatible,			/* this app should not be run in 32-bit address space */
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	kPrefSize * 1024,
	kMinSize * 1024	
};


data 'CTY#' (-4064) {
	$"00D3 001C 1166 054F 26B2 4079 0000 2A30"            /* ....f.O&@y..*0 */
	$"0000 0000 0941 6275 2044 6861 6269 0018"            /* ....Abu Dhabi.. */
	$"03F8 6A31 FFED CBAA 0000 0E10 0000 0000"            /* ..j1..˪........ */
	$"0541 6363 7261 001E 066F 8092 1B85 1EB8"            /* .Accra...o.. */
	$"0000 2A30 0000 0000 0B41 6464 6973 2041"            /* ..*0.....Addis A */
	$"6261 6261 001C E734 B790 627D 27D2 0000"            /* baba...4b}'.. */
	$"8598 0000 0000 0841 6465 6C61 6964 6500"            /* .....Adelaide. */
	$"0018 0914 19CA 2003 08B9 0000 2A30 0000"            /* .... ....*0.. */
	$"0000 0441 6465 6E00 001A 1A31 4DC0 0222"            /* ...Aden....1M." */
	$"2222 0000 0E10 0000 0000 0741 6C67 6965"            /* "".........Algie */
	$"7273 0018 16B8 51EC 198D 76B5 0000 1C20"            /* rs...Q..v...  */
	$"0000 0000 0541 6D6D 616E 001C 253A 0666"            /* .....Amman..%:.f */
	$"037C 0444 0000 0E10 0000 0000 0941 6D73"            /* .|.D........Ams */
	$"7465 7264 616D 001C 2B88 2771 956A 9265"            /* terdam..+'qje */
	$"00FF 7360 0000 0000 0941 6E63 686F 7261"            /* ..s`....Anchora */
	$"6765 001A 1C62 9B7F 1759 203D 0000 1C20"            /* ge...b..Y =...  */
	$"0000 0000 0641 6E6B 6172 6100 001C EE08"            /* .....Ankara..... */
	$"57FD D6FE 1A8C 00FF C7C0 0000 0000 0841"            /* W..........A */
	$"7375 6E63 6997 6E00 001A 1B05 B05B 10E0"            /* suncin.....[.. */
	$"8580 0000 1C20 0000 0000 0641 7468 656E"            /* ... .....Athen */
	$"7300 001A 1800 0000 C3FE 7BA3 00FF B9B0"            /* s........{.. */
	$"0000 0000 0741 746C 616E 7461 001A 17B4"            /* .....Atlanta... */
	$"25ED 1F98 D76B 0000 2A30 0000 0000 0742"            /* %..k..*0.....B */
	$"6167 6864 6164 001A 08EF B11D FA5E D098"            /* aghdad......^И */
	$"0000 0000 0000 0000 0642 616D 616B 6F00"            /* .........Bamako. */
	$"001A 09C4 13B9 4777 7777 0000 6270 0000"            /* ...Gwww..bp.. */
	$"0000 0742 616E 676B 6F6B 001A 031D F624"            /* ...Bangkok.....$ */
	$"0D36 FE1B 0000 0E10 0000 0000 0642 616E"            /* 6...........Ban */
	$"6775 6900 001A 1815 3D10 193E 93E9 0000"            /* gui.....=..>... */
	$"1C20 0000 0000 0642 6569 7275 7400 001C"            /* . .....Beirut... */
	$"1FE1 A8C5 0E93 E93F 0000 0E10 0000 0000"            /* ....?........ */
	$"0842 656C 6772 6164 6500 001A 2558 5E0E"            /* .Belgrade...%X^. */
	$"0987 6543 0000 0E10 0000 0000 0642 6572"            /* ƇeC.........Ber */
	$"6C69 6E00 001C 1AED 6A92 A901 E574 00FF"            /* lin.....j..t.. */
	$"8F80 0000 0000 0842 6572 6B65 6C65 7900"            /* .....Berkeley. */
	$"0018 2162 FC96 0555 5555 0000 0E10 0000"            /* ..!b..UUU...... */
	$"0000 0442 6572 6E00 001E 16DF C352 B7E1"            /* ...Bern.....R. */
	$"A8C5 00FF ABA0 0000 0000 0A42 6967 2053"            /* .......Big S */
	$"7072 696E 6700 001A 17D2 7D28 AE75 9204"            /* pring....}(u. */
	$"00FF 8F80 0000 0000 0642 6C79 7468 6500"            /* .......Blythe. */
	$"001A 0345 678A CB51 8A6E 00FF B9B0 0000"            /* ...EgQn.... */
	$"0000 0642 6F67 6F74 8700 001A 0D76 B549"            /* ...Bogot...vI */
	$"33CD F012 0000 4D58 0000 0000 0642 6F6D"            /* 3....MX.....Bom */
	$"6261 7900 0018 2413 B82E 050C 838E 0000"            /* bay...$...... */
	$"0E10 0000 0000 0442 6F6E 6E00 001A 1E1A"            /* .......Bonn..... */
	$"8C53 CD73 AC90 00FF B9B0 0000 0000 0642"            /* Ss.......B */
	$"6F73 746F 6E00 001A 1C77 D88F B4FA 4FA5"            /* oston....w؏.O */
	$"00FF 9D90 0000 0000 0742 6F75 6C64 6572"            /* .......Boulder */
	$"001C F4C6 BB5B DDED 097B 00FF D5D0 0000"            /* ...ƻ[..{.... */
	$"0000 0842 7261 7392 6C69 6100 001E FD0C"            /* ...Braslia..... */
	$"83FB 0ACF 1358 0000 0E10 0000 0000 0B42"            /* ...X.........B */
	$"7261 7A7A 6176 696C 6C65 001C 2425 ED09"            /* razzaville..$%. */
	$"0317 E4B1 0000 0E10 0000 0000 0842 7275"            /* ............Bru */
	$"7373 656C 7300 0018 15CE B240 BB69 D037"            /* ssels....β@i7 */
	$"00FF ABA0 0000 0000 0542 7279 616E 001C"            /* .......Bryan.. */
	$"1F9B E024 129B 7F0D 0000 1C20 0000 0000"            /* ..$..... .... */
	$"0942 7563 6861 7265 7374 001C 21C7 1C72"            /* Bucharest..!.r */
	$"0D92 03CB 0000 0E10 0000 0000 0842 7564"            /* ..........Bud */
	$"6170 6573 7400 0020 E762 3B06 D678 9B06"            /* apest.. .b;.x. */
	$"00FF D5D0 0000 0000 0C42 7565 6E6F 7320"            /* .......Buenos  */
	$"4169 7265 7300 0018 155E 6F81 1638 E38E"            /* Aires....^o.8. */
	$"0000 1C20 0000 0000 0543 6169 726F 001C"            /* ... .....Cairo.. */
	$"100F 2B9D 3ED3 A06D 0000 4D58 0000 0000"            /* ..+>Ӡm..MX.... */
	$"0843 616C 6375 7474 6100 001C E6EE EEEF"            /* .Calcutta....... */
	$"6A0C E513 0000 8CA0 0000 0000 0843 616E"            /* j..........Can */
	$"6265 7272 6100 001A 106A 314E 5079 5CEB"            /* berra....j1NPy\. */
	$"0000 7080 0000 0000 0643 616E 746F 6E00"            /* ..p.....Canton. */
	$"001C E7DE A00C 0D0F 8CB5 0000 1C20 0000"            /* ......... .. */
	$"0000 0943 6170 6520 546F 776E 001A 0777"            /* ..Cape Town...w */
	$"7777 D067 2895 00FF C7C0 0000 0000 0743"            /* wwg(.......C */
	$"6172 6163 6173 001A 249F 49F5 FDB6 6C78"            /* aracas..$I..lx */
	$"0000 0000 0000 0000 0743 6172 6469 6666"            /* .........Cardiff */
	$"001A 037F 0D46 DACF 1358 00FF C7C0 0000"            /* ....F..X.... */
	$"0000 0743 6179 656E 6E65 001A 1DBF 86A3"            /* ...Cayenne... */
	$"C199 999A 00FF ABA0 0000 0000 0743 6869"            /* .......Chi */
	$"6361 676F 001A 04EE 2CC1 38DD 7CC7 0000"            /* cago....,8.|.. */
	$"4D58 0000 0000 0743 6F6C 6F6D 626F 001A"            /* MX.....Colombo.. */
	$"06BE 635E F62C C0AA 0000 0000 0000 0000"            /* .c^.,........ */
	$"0743 6F6E 616B 7279 001E 279E E8DD 08EF"            /* .Conakry..'.... */
	$"B11D 0000 0E10 0000 0000 0A43 6F70 656E"            /* ..........Copen */
	$"6861 6765 6E00 001C 1A8F 5BBC A947 AE39"            /* hagen....[G9 */
	$"00FF 8F80 0000 0000 0943 7570 6572 7469"            /* ......Cuperti */
	$"6E6F 0018 10DA 740E 4042 BFE8 0000 5B68"            /* no....t.@B...[h */
	$"0000 0000 0544 6163 6361 0018 0A5B C7DF"            /* .....Dacca...[. */
	$"F391 419D 0000 0E10 0000 0000 0544 616B"            /* .A.........Dak */
	$"6172 001A 1750 0611 BB27 104F 00FF ABA0"            /* ar...P..'.O.. */
	$"0000 0000 0644 616C 6C61 7300 001C 17D2"            /* .....Dallas.... */
	$"7D28 19C7 1C72 0000 1C20 0000 0000 0844"            /* }(..r... .....D */
	$"616D 6173 6375 7300 0020 FB24 0796 1BE0"            /* amascus.. .$... */
	$"2469 0000 2A30 0000 0000 0D44 6172 2065"            /* $i..*0....Dar e */
	$"7320 5361 6C61 616D 001A 1C41 3B8B B558"            /* s Salaam...A;X */
	$"5E0E 00FF 9D90 0000 0000 0644 656E 7665"            /* ^........Denve */
	$"7200 001A 1E23 A67F C4EB 2408 00FF B9B0"            /* r....#..$... */
	$"0000 0000 0744 6574 726F 6974 001C FBA3"            /* .....Detroit... */
	$"75F3 4BE9 3E94 0000 6978 0000 0000 0844"            /* u.K.>..ix.....D */
	$"6A61 6B61 7274 6100 001C 082D 82D8 1EA3"            /* jakarta....-. */
	$"14DC 0000 2A30 0000 0000 0844 6A69 626F"            /* ....*0.....Djibo */
	$"7574 6900 0018 11FA B0BC 24A5 5B67 0000"            /* uti.....$[g.. */
	$"2A30 0000 0000 0444 6F68 6100 001A 02D8"            /* *0.....Doha.... */
	$"2D83 06EE EEEF 0000 0E10 0000 0000 0644"            /* -.............D */
	$"6F75 616C 6100 001E 1C90 1E57 CA9B 7F0D"            /* ouala.....Wʛ. */
	$"00FF B9B0 0000 0000 0A44 6F79 6C65 7374"            /* .......Doylest */
	$"6F77 6E00 001A 25ED 097B FB8E 38E4 0000"            /* own...%.{.8... */
	$"0000 0000 0000 0644 7562 6C69 6E00 001C"            /* .......Dublin... */
	$"27C9 62FD FDB6 6C78 0000 0000 0000 0000"            /* 'b..lx........ */
	$"0945 6469 6E62 7572 6768 001C 060B 60B6"            /* Edinburgh....` */
	$"F68D D7CC 0000 0000 0000 0000 0846 7265"            /* ..........Fre */
	$"6574 6F77 6E00 001A 20D4 629B 045F 92C6"            /* etown... b._ */
	$"0000 0E10 0000 0000 0647 656E 6576 6100"            /* .........Geneva. */
	$"001E 04CF D586 D6A3 14DC 00FF CB44 0000"            /* ...Ն֣....D.. */
	$"0000 0A47 656F 7267 6574 6F77 6E00 001A"            /* ...Georgetown... */
	$"2DB0 5B06 DB42 5ED1 00FF E3E0 0000 0000"            /* -[..B^........ */
	$"0747 6F64 7468 8C62 0022 1BBB BBBC B2D8"            /* .Godthb.". */
	$"2D83 00FF 9D90 0000 0000 0E47 7261 6E64"            /* -.......Grand */
	$"204A 756E 6374 696F 6E00 0018 0990 7F6E"            /*  Junction...Ɛ.n */
	$"66EE EEEF 0000 8CA0 0000 0000 0447 7561"            /* f..........Gua */
	$"6D00 001C 0A6D FC35 BFBD 4018 00FF ABA0"            /* m....m.5@... */
	$"0000 0000 0947 7561 7465 6D61 6C61 0018"            /* ....Guatemala.. */
	$"0EFE 1A8C 4B51 8A6E 0000 6270 0000 0000"            /* ...KQn..bp.... */
	$"0548 616E 6F69 001A 1F16 6055 CC99 3882"            /* .Hanoi....`U̙8 */
	$"00FF B9B0 0000 0000 0748 616E 6F76 6572"            /* .......Hanover */
	$"001A F366 C77E 1611 7228 0000 1C20 0000"            /* ...f~..r(... .. */
	$"0000 0648 6172 6172 6500 001A 0FBD 4018"            /* ...Harare....@. */
	$"C56D 9B1E 00FF B9B0 0000 0000 0648 6176"            /* m........Hav */
	$"616E 6100 001C 2AC9 01E5 11C1 0B00 0000"            /* ana...*....... */
	$"1C20 0000 0000 0848 656C 7369 6E6B 6900"            /* . .....Helsinki. */
	$"0020 1DFC 3519 C18A 6DFC 00FF ABA0 0000"            /* . ..5.m..... */
	$"0000 0D48 6967 686C 616E 6420 5061 726B"            /* ..Highland Park */
	$"001C 0FD2 7D28 512F 684C 0000 7080 0000"            /* ...}(Q/hL..p.. */
	$"0000 0948 6F6E 6720 4B6F 6E67 001C 0F28"            /* ..Hong Kong...( */
	$"94AB 8FBD 4018 00FF 7360 0000 0000 0848"            /* @...s`.....H */
	$"6F6E 6F6C 756C 7500 001C 28E0 8580 FD03"            /* onolulu...(... */
	$"69D0 0000 0000 0000 0000 0949 6E76 6572"            /* i........Inver */
	$"6E65 7373 001C 17F0 D463 3407 95CF 0000"            /* ness....c4... */
	$"4650 0000 0000 0949 736C 616D 6162 6164"            /* FP....Islamabad */
	$"001C 1D2D E3EF 149C 413C 0000 2A30 0000"            /* ...-...A<..*0.. */
	$"0000 0849 7374 616E 6275 6C00 001C 1699"            /* ...Istanbul.... */
	$"FAB1 190E 0858 0000 1C20 0000 0000 094A"            /* ....X... ....J */
	$"6572 7573 616C 656D 0018 1888 8889 3135"            /* erusalem...15 */
	$"79BE 0000 3F48 0000 0000 054B 6162 756C"            /* y..?H.....Kabul */
	$"001A 003C AE76 171C 71C7 0000 2A30 0000"            /* ...<v..q..*0.. */
	$"0000 074B 616D 7061 6C61 001A 11AB CDF0"            /* ...Kampala.... */
	$"2FAB 0BC2 0000 4650 0000 0000 074B 6172"            /* /...FP.....Kar */
	$"6163 6869 001C 0B17 E4B1 1722 8339 0000"            /* achi......"9.. */
	$"1C20 0000 0000 084B 6861 7274 6F75 6D00"            /* . .....Khartoum. */
	$"0018 23E9 3E94 15AA 4994 0000 2A30 0000"            /* ..#.>.I..*0.. */
	$"0000 044B 6965 7600 001C FCEB 2408 0AD8"            /* ...Kiev.....$.. */
	$"2D83 0000 1C20 0000 0000 084B 696E 7368"            /* -... .....Kinsh */
	$"6173 6100 0020 023D 70A4 484E E2CC 0000"            /* asa.. .=pHN... */
	$"6978 0000 0000 0C4B 7561 6C61 204C 756D"            /* ix.....Kuala Lum */
	$"7075 7200 001A 14DB F86A 2222 2222 0000"            /* pur......j"""".. */
	$"2A30 0000 0000 064B 7577 6169 7400 001A"            /* *0.....Kuwait... */
	$"F444 4444 CF89 ABCE 00FF C7C0 0000 0000"            /* .DDDω...... */
	$"064C 6120 5061 7A00 0018 0496 2FC9 0267"            /* .La Paz..../.g */
	$"EAC3 0000 0E10 0000 0000 054C 6167 6F73"            /* ..........Lagos */
	$"001C 2A9B 7F0D 1582 D82E 0000 2A30 0000"            /* ..*.....*0.. */
	$"0000 094C 656E 696E 6772 6164 0018 F76E"            /* ..Leningrad...n */
	$"5D4C C935 79BE 00FF B9B0 0000 0000 044C"            /* ]L5y.......L */
	$"696D 6100 001A 1B8B 2FA5 F981 53E9 0000"            /* ima..../.S... */
	$"0000 0000 0000 064C 6973 626F 6E00 001A"            /* .......Lisbon... */
	$"249F 49F5 FFE1 A93F 0000 0000 0000 0000"            /* $I...?........ */
	$"064C 6F6E 646F 6E00 001E 1839 A5BC ABE9"            /* .London....9. */
	$"3E94 00FF 8F80 0000 0000 0B4C 6F73 2041"            /* >.......Los A */
	$"6E67 656C 6573 001A F9B7 F0D4 096C 16C1"            /* ngeles....l. */
	$"0000 0E10 0000 0000 064C 7561 6E64 6100"            /* .........Luanda. */
	$"001A F500 6117 1419 CA25 0000 1C20 0000"            /* ....a...%... .. */
	$"0000 064C 7573 616B 6100 001A 0956 D9B2"            /* ...Lusaka...V. */
	$"391D 33F5 0000 4D58 0000 0000 064D 6164"            /* 9.3...MX.....Mad */
	$"7261 7300 001A 1CBD A0B6 FD5B 671C 0000"            /* ras.....[g... */
	$"0E10 0000 0000 064D 6164 7269 6400 001C"            /* .......Madrid... */
	$"17B4 25ED BDA1 2F68 00FF ABA0 0000 0000"            /* .%./h...... */
	$"084D 6167 6E6F 6C69 6100 001A 089A BCDF"            /* .Magnolia..... */
	$"C29B 7F0D 00FF ABA0 0000 0000 074D 616E"            /* ........Man */
	$"6167 7561 001A 12A1 907F 23F8 6A31 0000"            /* agua....#.j1.. */
	$"2A30 0000 0000 064D 616E 616D 6100 001A"            /* *0.....Manama... */
	$"0A61 D951 5608 57FD 0000 7080 0000 0000"            /* .a.QV.W...p.... */
	$"064D 616E 696C 6100 001A ED88 E9A0 1722"            /* .Manila......" */
	$"8339 0000 1C20 0000 0000 064D 6170 7574"            /* 9... .....Maput */
	$"6F00 0018 0F40 DA74 1C50 6729 0000 2A30"            /* o....@.t.Pg)..*0 */
	$"0000 0000 054D 6563 6361 001C E518 A6E0"            /* .....Mecca..... */
	$"671C 71C7 0000 8CA0 0000 0000 094D 656C"            /* g.q......Mel */
	$"626F 7572 6E65 001E 0DCB A987 B97E 4B18"            /* bourne..˩~K. */
	$"00FF ABA0 0000 0000 0B4D 6578 6963 6F20"            /* .......Mexico  */
	$"4369 7479 0018 1252 ADB3 C6F8 091A 00FF"            /* City...R.... */
	$"B9B0 0000 0000 054D 6961 6D69 0024 D82D"            /* .....Miami.$- */
	$"82D8 FE93 E93F 0000 0000 0000 0000 114D"            /* ..?.........M */
	$"6964 646C 6520 4F66 204E 6F77 6865 7265"            /* iddle Of Nowhere */
	$"001E 1FFC F747 BDB6 6C78 00FF ABA0 0000"            /* .....Glx.... */
	$"0000 0B4D 696E 6E65 6170 6F6C 6973 001C"            /* ...Minneapolis.. */
	$"0172 2834 203F B72F 0000 2A30 0000 0000"            /* .r(4 ?/..*0.... */
	$"094D 6F67 6164 6973 686F 001C 047A E148"            /* Mogadisho...z.H */
	$"F854 F43E 0000 0000 0000 0000 084D 6F6E"            /* .T.>.........Mon */
	$"726F 7669 6100 001E E72B 9D65 D80F 2B9D"            /* rovia....+e.+ */
	$"00FF D5D0 0000 0000 0A4D 6F6E 7465 7669"            /* .......Montevi */
	$"6465 6F00 001C 205B 05B0 CBA9 8765 00FF"            /* deo... [.˩e.. */
	$"B9B0 0000 0000 084D 6F6E 7472 8E61 6C00"            /* .....Montral. */
	$"001A 27A4 FA50 1AB9 D648 0000 2A30 0000"            /* ..'.P.H..*0.. */
	$"0000 064D 6F73 636F 7700 0020 13E3 2D22"            /* ...Moscow.. ..-" */
	$"3DD4 C3B3 0000 4D58 0000 0000 0D4D 6F75"            /* =ó..MX....Mou */
	$"6E74 2045 7665 7265 7374 0020 1A9E 87C6"            /* nt Everest. . */
	$"A92F 684C 00FF 8F80 0000 0000 0D4D 6F75"            /* /hL......Mou */
	$"6E74 6169 6E20 5669 6577 001A 10B3 02A8"            /* ntain View.... */
	$"29A2 B3C5 0000 3840 0000 0000 064D 7573"            /* )..8@.....Mus */
	$"6361 7400 001A FF16 6055 1A31 4DC0 0000"            /* cat.....`U.1M.. */
	$"2A30 0000 0000 074E 6169 726F 6269 001C"            /* *0.....Nairobi.. */
	$"08A6 DFC3 0AA7 A1F2 0000 0E10 0000 0000"            /* ............ */
	$"084E 646A 616D 656E 6100 001C 1459 8154"            /* .Ndjamena....YT */
	$"36E8 DD7D 0000 4D58 0000 0000 094E 6577"            /* 6..}..MX....New */
	$"2044 656C 6869 001C 1CF4 3E33 CB5D AD52"            /*  Delhi....>3]R */
	$"00FF B9B0 0000 0000 084E 6577 2059 6F72"            /* .......New Yor */
	$"6B00 001E 0CE8 1B4F F4A5 5B67 0000 0000"            /* k......O.[g.... */
	$"0000 0000 0A4E 6F75 616B 6368 6F74 7400"            /* .....Nouakchott. */
	$"0018 18A6 DFC3 605B 05B0 0000 7E90 0000"            /* ....`[...~.. */
	$"0000 054F 7361 6B61 0018 2A9E 87C6 07A4"            /* ...Osaka..*. */
	$"FA50 0000 0E10 0000 0000 044F 736C 6F00"            /* .P.........Oslo. */
	$"001A 204B DA13 CA2B 3C4D 00FF B9B0 0000"            /* .. K..+<M.... */
	$"0000 064F 7474 6177 6100 001E 08D4 629B"            /* ...Ottawa....b */
	$"FEEE EEEF 0000 0000 0000 0000 0A4F 7567"            /* .............Oug */
	$"6164 6F75 676F 7500 001A 0666 6666 C786"            /* adougou....fffǆ */
	$"A315 00FF B9B0 0000 0000 0650 616E 616D"            /* ........Panam */
	$"8700 001E 042B FE7C D8C5 36FE 00FF CEC8"            /* ....+.|6... */
	$"0000 0000 0A50 6172 616D 6172 6962 6F00"            /* .....Paramaribo. */
	$"0018 22BF E71C 01A8 C4FA 0000 0E10 0000"            /* ..".......... */
	$"0000 0550 6172 6973 001A 1C62 9B7F 52C9"            /* ...Paris...b.R */
	$"01E5 0000 7080 0000 0000 0650 656B 696E"            /* ....p.....Pekin */
	$"6700 0018 E94A B6CE 525E D098 0000 7080"            /* g....JR^И..p */
	$"0000 0000 0550 6572 7468 0020 1C2B FE7C"            /* .....Perth. .+.| */
	$"CA95 6D9B 00FF B9B0 0000 0000 0C50 6869"            /* ʕm.......Phi */
	$"6C61 6465 6C70 6869 6100 001E 0836 9D03"            /* ladelphia....6. */
	$"4A9B 7F0D 0000 6270 0000 0000 0A50 686E"            /* J...bp.....Phn */
	$"6F6D 2050 656E 6800 001A 1833 944A AC38"            /* om Penh....3J8 */
	$"2160 00FF 8F80 0000 0000 0650 6F6D 6F6E"            /* !`.......Pomon */
	$"6100 0022 0D46 29B8 CC90 1E57 00FF B9B0"            /* a.."F)̐.W.. */
	$"0000 0000 0E50 6F72 742D 6175 2D50 7269"            /* .....Port-au-Pri */
	$"6E63 6500 001C 2064 1FDC A8D1 59E2 00FF"            /* nce... d..Y... */
	$"8F80 0000 0000 0850 6F72 746C 616E 6400"            /* .....Portland. */
	$"001A 239D 6481 0A43 8216 0000 0E10 0000"            /* ..#d.C....... */
	$"0000 0650 7261 6775 6500 0018 1CA2 52AE"            /* ...Prague....R */
	$"B0A0 CE51 00FF 9D90 0000 0000 0550 726F"            /* Q.......Pro */
	$"766F 001C 1BBB BBBC 593E 93E9 0000 7E90"            /* vo...Y>...~ */
	$"0000 0000 0950 796F 6E67 7961 6E67 0018"            /* ....Pyongyang.. */
	$"FFD5 85E1 C82D 82D8 00FF B9B0 0000 0000"            /* .Յ.-...... */
	$"0551 7569 746F 0018 1833 944A FB20 FEDD"            /* .Quito...3J. .. */
	$"0000 0000 0000 0000 0552 6162 6174 001A"            /* .........Rabat.. */
	$"0BE9 3E94 4480 F2BA 0000 5B68 0000 0000"            /* ..>D...[h.... */
	$"0752 616E 676F 6F6E 001A FA4F A4FA E71C"            /* .Rangoon...O... */
	$"71C7 00FF D5D0 0000 0000 0652 6563 6966"            /* q.......Recif */
	$"6500 001C 2D9E 26AF F064 1FDC 00FF F1F0"            /* e...-&.d...... */
	$"0000 0000 0952 6579 6B6A 6176 926B 0022"            /* ....Reykjavk." */
	$"EFBA 3777 E138 82D8 00FF D5D0 0000 0000"            /* .7w.8...... */
	$"0E52 696F 2064 6520 4A61 6E65 6972 6F00"            /* .Rio de Janeiro. */
	$"001A 1187 6543 2138 8277 0000 2A30 0000"            /* ...eC!8w..*0.. */
	$"0000 0652 6979 6164 6800 0018 1DC8 A0CE"            /* ...Riyadh....Ƞ */
	$"08E3 8E39 0000 0E10 0000 0000 0452 6F6D"            /* ..9.........Rom */
	$"6500 001A 07CC 6BB6 4BDA 12F7 0000 7080"            /* e....kK.....p */
	$"0000 0000 0653 6169 676F 6E00 001E 1B78"            /* .....Saigon....x */
	$"FBD4 BFDE A00C 00FF ABA0 0000 0000 0B53"            /* .Կ.........S */
	$"6169 6E74 204C 6F75 6973 0022 1CFD 585E"            /* aint Louis."..X^ */
	$"B070 42C0 00FF 9D90 0000 0000 0E53 616C"            /* pB.......Sal */
	$"7420 4C61 6B65 2043 6974 7900 001E 1666"            /* t Lake City....f */
	$"6666 B888 8889 00FF ABA0 0000 0000 0A53"            /* ff.......S */
	$"616E 2041 6E67 656C 6F00 001C 1743 E32D"            /* an Angelo....C.- */
	$"ACB1 7E4B 00FF 8F80 0000 0000 0953 616E"            /* ~K......San */
	$"2044 6965 676F 001C 0719 690E C438 2160"            /*  Diego....i.8!` */
	$"00FF ABA0 0000 0000 0853 616E 204A 6F73"            /* .......San Jos */
	$"8E00 0020 1AE1 47AE A8F5 C28F 00FF 8F80"            /* .. ..G... */
	$"0000 0000 0D53 616E 2046 7261 6E63 6973"            /* ....San Francis */
	$"636F 0020 09B7 F0D4 C097 B426 00FF ABA0"            /* co. Ʒ.&.. */
	$"0000 0000 0C53 616E 2053 616C 7661 646F"            /* .....San Salvado */
	$"7200 0018 0AFC 9630 1F6E 5D4C 0000 2A30"            /* r.....0.n]L..*0 */
	$"0000 0000 0553 616E 61D5 001C E83F B72F"            /* .....Sana...?/ */
	$"CDBF 86A3 00FF C7C0 0000 0000 0853 616E"            /* Ϳ.......San */
	$"7469 6167 6F00 0020 0D27 D27D D1D9 50C8"            /* tiago.. '}.P */
	$"00FF C7C0 0000 0000 0D53 616E 746F 2044"            /* ......Santo D */
	$"6F6D 696E 676F 001C EF40 DA74 DED3 A06D"            /* omingo...@.t.Ӡm */
	$"00FF D5D0 0000 0000 0953 8B6F 2050 6175"            /* ......So Pau */
	$"6C6F 0018 1AB3 C4D6 5A49 9388 0000 7E90"            /* lo...ZI..~ */
	$"0000 0000 0553 656F 756C 001C 1635 DAD5"            /* .....Seoul...5. */
	$"5666 6666 0000 7080 0000 0000 0853 6861"            /* Vfff..p.....Sha */
	$"6E67 6861 6900 001C 00E9 9FAB 49D9 50C8"            /* nghai.....I.P */
	$"0000 6978 0000 0000 0953 696E 6761 706F"            /* ..ix....Singapo */
	$"7265 0018 1E66 6666 1097 B426 0000 1C20"            /* re...fff.&...  */
	$"0000 0000 0553 6F66 6961 001E 1C99 3882"            /* .....Sofia...8 */
	$"B0F2 B9D6 00FF 9D90 0000 0000 0B53 7072"            /* ........Spr */
	$"696E 6776 696C 6C65 0020 1CAE 7592 C6A6"            /* ingville. .uƦ */
	$"1D95 00FF B9B0 0000 0000 0C53 7465 7562"            /* ........Steub */
	$"656E 7669 6C6C 6500 001C 2A31 4D83 0CD5"            /* enville...*1M. */
	$"E666 0000 0E10 0000 0000 0953 746F 636B"            /* .f........Stock */
	$"686F 6C6D 001A E7EA C2F0 6B88 2771 0000"            /* holm.....k'q.. */
	$"8CA0 0000 0000 0653 7964 6E65 7900 001A"            /* .....Sydney... */
	$"11D3 3F56 5663 5DAD 0000 7080 0000 0000"            /* .?VVc]..p.... */
	$"0654 6169 7065 6900 001E F28C 5370 21CA"            /* .Taipei....Sp! */
	$"252B 0000 2A30 0000 0000 0A54 616E 616E"            /* %+..*0.....Tanan */
	$"6172 6976 6500 001C 1D64 80F3 312F 684C"            /* arive....d.1/hL */
	$"0000 5460 0000 0000 0854 6173 686B 656E"            /* ..T`.....Tashken */
	$"7400 001E 0A03 CAE7 C1F7 A803 00FF ABA0"            /* t.......... */
	$"0000 0000 0B54 6567 7563 6967 616C 7061"            /* .....Tegucigalpa */
	$"001A 195C EB24 2493 2710 0000 3138 0000"            /* ...\.$$'...18.. */
	$"0000 0654 6568 7261 6E00 001C 1BD4 0184"            /* ...Tehran..... */
	$"5357 9BE0 0000 7788 0000 0000 0854 6965"            /* SW...w.....Tie */
	$"6E74 7369 6E00 0018 1962 FC96 6363 BEC4"            /* ntsin....b.cc */
	$"0000 7E90 0000 0000 0554 6F6B 796F 001A"            /* ..~.....Tokyo.. */
	$"1F0A 3D71 C795 CEB2 00FF B9B0 0000 0000"            /* ..=qǕβ...... */
	$"0754 6F72 6F6E 746F 001A 1762 3A68 0962"            /* .Toronto...b:hb */
	$"FC96 0000 1C20 0000 0000 0754 7269 706F"            /* .... .....Tripo */
	$"6C69 001C 1929 56DA C2B3 C4D6 00FF ABA0"            /* li...)V.³.. */
	$"0000 0000 0954 756C 6C61 686F 6D61 0018"            /* ....Tullahoma.. */
	$"1A2B 3C4D 073D D1BB 0000 0E10 0000 0000"            /* .+<M.=ѻ........ */
	$"0554 756E 6973 001E 2212 F685 4C01 845D"            /* .Tunis.."..L.] */
	$"0000 7080 0000 0000 0A55 6C61 6E20 4261"            /* ..p.....Ulan Ba */
	$"746F 7200 001C 2308 B8E4 A873 4C17 00FF"            /* tor...#..sL... */
	$"8F80 0000 0000 0956 616E 636F 7576 6572"            /* ....Vancouver */
	$"001A 2249 9388 0BA3 75F3 0000 0E10 0000"            /* .."I.u....... */
	$"0000 0656 6965 6E6E 6100 001A 2527 D27D"            /* ...Vienna...%'} */
	$"0EEE EEEF 0000 0E10 0000 0000 0657 6172"            /* .............War */
	$"7361 7700 001E 1BAC 8FA5 C93E 93E9 00FF"            /* saw....>... */
	$"B9B0 0000 0000 0A57 6173 6869 6E67 746F"            /* .....Washingto */
	$"6E00 001E E2A4 9939 7C4A 55B6 0000 A8C0"            /* n....9|JU.. */
	$"0000 0000 0A57 656C 6C69 6E67 746F 6E00"            /* .....Wellington. */
	$"001C 237C 048D BAEA 61D9 00FF ABA0 0000"            /* ..#|..a..... */
	$"0000 0857 696E 6E69 7065 6700 001E 1C65"            /* ...Winnipeg....e */
	$"A438 C5AA 4994 00FF B9B0 0000 0000 0A5A"            /* 8ŪI.......Z */
	$"616E 6573 7669 6C6C 6500 001A 21B1 DF62"            /* anesville...!.b */
	$"0614 7AE1 0000 0E10 0000 0000 065A 9F72"            /* ..z..........Zr */
	$"6963 6800 0020 F28C 5370 21CA 252B 0000"            /* ich.. .Sp!%+.. */
	$"2A30 0000 0000 0C41 6E74 616E 616E 6172"            /* *0.....Antananar */
	$"6976 6F00 0026 25ED 097B FB8E 38E4 0000"            /* ivo..&%.{.8... */
	$"0000 0000 0000 1242 6169 6C65 20AB 4174"            /* .......Baile At */
	$"6861 2043 6C69 6174 6800 001A 1C62 9B7F"            /* ha Cliath....b. */
	$"52C9 01E5 0000 7080 0000 0000 0742 6569"            /* R....p.....Bei */
	$"6A69 6E67 001A 1FE1 A8C5 0E93 E93F 0000"            /* jing......?.. */
	$"0E10 0000 0000 0742 656F 6772 6164 001C"            /* .......Beograd.. */
	$"2425 ED09 0317 E4B1 0000 0E10 0000 0000"            /* $%............ */
	$"0942 7275 7865 6C6C 6573 0024 0DCB A987"            /* Bruxelles.$˩ */
	$"B97E 4B18 00FF ABA0 0000 0000 1043 6975"            /* ~K........Ciu */
	$"6461 6420 6465 204D 8E78 6963 6F00 001C"            /* dad de Mxico... */
	$"106A 314E 5079 5CEB 0000 7080 0000 0000"            /* .j1NPy\...p.... */
	$"0947 7561 6E67 7A68 6F75 001E 2AC9 01E5"            /* Guangzhou..*.. */
	$"11C1 0B00 0000 1C20 0000 0000 0B48 656C"            /* ...... .....Hel */
	$"7369 6E67 666F 7273 001C 279E E8DD 08EF"            /* singfors..'.... */
	$"B11D 0000 0E10 0000 0000 094B BF62 656E"            /* .........Kben */
	$"6861 766E 001C 0FBD 4018 C56D 9B1E 00FF"            /* havn...@.m... */
	$"B9B0 0000 0000 094C 6120 4861 6261 6E61"            /* ....La Habana */
	$"001A 1B8B 302A F981 53D1 0000 0000 0000"            /* ...0*.S...... */
	$"0000 064C 6973 626F 6100 001E 13E3 2D22"            /* ...Lisboa.....-" */
	$"3DD4 C3B3 0000 4D58 0000 0000 0B4D 742E"            /* =ó..MX.....Mt. */
	$"2045 7665 7265 7374 0018 239D 6481 0A43"            /*  Everest..#d.C */
	$"8216 0000 0E10 0000 0000 0550 7261 6861"            /* ..........Praha */
	$"0018 1DC8 A0CE 08E3 8E39 0000 0E10 0000"            /* ...Ƞ..9...... */
	$"0000 0452 6F6D 6100 001C 1B78 FBD4 BFDE"            /* ...Roma....x.Կ. */
	$"A00C 00FF ABA0 0000 0000 0953 742E 204C"            /* .......St. L */
	$"6F75 6973 001A 11D3 3F56 5663 5DAD 0000"            /* ouis...?VVc].. */
	$"7080 0000 0000 0654 6169 6265 6900 0028"            /* p.....Taibei..( */
	$"07CC 6BB6 4BDA 12F7 0000 7080 0000 0000"            /* .kK.....p.... */
	$"1554 6861 6E68 2050 686F 2048 6F20 4368"            /* .Thanh Pho Ho Ch */
	$"6920 4D69 6E68 001A 1BD4 0184 5357 9BE0"            /* i Minh....SW. */
	$"0000 7788 0000 0000 0754 6961 6E6A 696E"            /* ..w.....Tianjin */
	$"001E 2212 F685 4C01 845D 0000 7080 0000"            /* .."..L.]..p.. */
	$"0000 0B55 6C61 616E 6261 6174 6172 001C"            /* ...Ulaanbaatar.. */
	$"2527 D27D 0EEE EEEF 0000 0E10 0000 0000"            /* %'}............ */
	$"0857 6172 737A 6177 6100 0018 2249 9388"            /* .Warszawa..."I */
	$"0BA3 75F3 0000 0E10 0000 0000 0457 6965"            /* .u..........Wie */
	$"6E00 001A 0BE9 3E94 4480 F2BA 0000 5B68"            /* n.....>D...[h */
	$"0000 0000 0659 616E 676F 6E00"                      /* .....Yangon. */
};




include "WhereAmI.rsrc";